Bug 100567 - Nouveau system freeze fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Summary: Nouveau system freeze fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) All
: high critical
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
: 96562 98138 (view as bug list)
Depends on: 103721
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-04 20:09 UTC by Jeremy Booker
Modified: 2019-11-10 00:09 UTC (History)
16 users (show)

See Also:
i915 platform:
i915 features:


Attachments
journalctl output for last boot to crash (238.19 KB, text/x-log)
2017-04-04 20:09 UTC, Jeremy Booker
no flags Details
dmesg with SCHED_ERROR (starting at 73576 sec) (1.68 MB, text/plain)
2017-04-13 18:56 UTC, Kevin Liu
no flags Details
journalctl -kb of CTXSW_TIMEOUT on 4.10.10 (1.15 MB, text/plain)
2017-04-20 14:44 UTC, Kevin Liu
no flags Details
syslog (142.73 KB, text/plain)
2017-06-26 09:44 UTC, jadziadax30
no flags Details
dmesg (100.05 KB, text/plain)
2017-06-26 09:45 UTC, jadziadax30
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Booker 2017-04-04 20:09:12 UTC
Created attachment 130676 [details]
journalctl output for last boot to crash

I'm experiencing a random, but consistent hard-free (cannot switch virtual terminals) running an nVidia card with three monitors under Fedora 25. Recent kernel and driver updates have seemed to make this freeze much more frequent (5-6 times in two work days).

Journalctl -b -1 output is attached. Most relevant lines are:

kernel: nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 12, recovering...
kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:37:head-0] hw_done timed out
kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:37:head-0] hw_done timed out
kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:37:head-0] flip_done timed out

A possibly related bug is #96562, but it is old and hasn't received any attention, so I'm opening a new one.
Comment 1 Jeremy Booker 2017-04-05 16:18:18 UTC
I've tried downgrading to kernel 4.9.14, as the 4.10 series seems to have other changes relating to video drives and nouveau (which are also causing crashes).

I made it from ~8am to ~noon without a crash. Same basic log entries found in journalctl output:


Apr 05 12:10:09 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Apr 05 12:10:09 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 10, recovering...
Comment 2 Jeremy Booker 2017-04-06 15:18:12 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=90453 Sounds related.
Comment 3 Kevin Liu 2017-04-10 23:53:06 UTC
I have the same issue, on Linux 4.11-rc6. journalctl -b:

Apr 10 18:22:55 jenny kernel: nouveau 0000:02:00.0: gr: TRAP ch 2 [007f901000 X[6443]]
Apr 10 18:22:55 jenny kernel: nouveau 0000:02:00.0: gr: GPC2/TPC1/MP trap: global 00000000 [] warp 3f0009 [ILLEGAL_INSTR_ENCODING]
...
Apr 10 18:22:59 jenny kernel: nouveau 0000:02:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Apr 10 18:22:59 jenny kernel: nouveau 0000:02:00.0: fifo: runlist 0: scheduled for recovery
Apr 10 18:22:59 jenny kernel: nouveau 0000:02:00.0: fifo: channel 2: killed
Apr 10 18:22:59 jenny kernel: nouveau 0000:02:00.0: fifo: engine 0: scheduled for recovery
Apr 10 18:22:59 jenny kernel: nouveau 0000:02:00.0: X[6443]: channel 2 killed!

lspci -vv (GTX 770; NVE4):

02:00.0 VGA compatible controller: NVIDIA Corporation GK104 [GeForce GTX 770] (rev a1) (prog-if 00 [VGA controller])         
        Subsystem: Micro-Star International Co., Ltd. [MSI] GK104 [GeForce GTX 770]                                          
        Flags: bus master, fast devsel, latency 0, IRQ 33                                                                    
        Memory at fa000000 (32-bit, non-prefetchable) [size=16M]                                                             
        Memory at f0000000 (64-bit, prefetchable) [size=128M]                                                                
        Memory at f8000000 (64-bit, prefetchable) [size=32M]                                                                 
        I/O ports at e000 [size=128]                                                                                         
        Expansion ROM at fb000000 [disabled] [size=512K]                                                                     
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Capabilities: [b4] Vendor Specific Information: Len=14 <?>
        Capabilities: [100] Virtual Channel
        Capabilities: [128] Power Budgeting <?>
        Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
        Capabilities: [900] #19
        Kernel driver in use: nouveau

02:00.1 Audio device: NVIDIA Corporation GK104 HDMI Audio Controller (rev a1)
        Subsystem: Micro-Star International Co., Ltd. [MSI] GK104 HDMI Audio Controller
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fb080000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [60] Power Management version 3
        Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [78] Express Endpoint, MSI 00
        Kernel driver in use: snd_hda_intel

I'll post a proper dmesg the next time the bug appears.
Comment 4 Kevin Liu 2017-04-13 18:56:34 UTC
Created attachment 130834 [details]
dmesg with SCHED_ERROR (starting at 73576 sec)

It happened again! I believe the monitors were turned off when the problem occurred (I wasn't there at the time), but when I returned the monitors were on and frozen. I could move the mouse around, but nothing else responded.

The errors start at [73576].
Comment 5 Kevin Liu 2017-04-20 14:44:24 UTC
Created attachment 130945 [details]
journalctl -kb of CTXSW_TIMEOUT on 4.10.10

Can reproduce on Linux 4.10.10 as well. Along with the initial CTXSW_TIMEOUT, it seems to hang a few kernel tasks relating to atomic commits.

Relevant(?) snippet:

Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: TRAP ch 3 [007f7c2000 X[3611]]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC1/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3e000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3e000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: TRAP ch 3 [007f7c2000 X[3611]]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC1/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC1/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
Apr 20 10:06:03 jenny kernel: nouveau 0000:02:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3d000d [OOR_REG]
Apr 20 10:06:07 jenny kernel: nouveau 0000:02:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Apr 20 10:06:07 jenny kernel: nouveau 0000:02:00.0: fifo: gr engine fault on channel 6, recovering...
Apr 20 10:06:18 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:18 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:19 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:19 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:19 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:20 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:20 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:20 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
Apr 20 10:06:21 jenny kernel: nouveau 0000:02:00.0: X[3611]: nv50cal_space: -16
...
Comment 6 jadziadax30 2017-06-26 09:42:46 UTC
Same problem on 4.9.16-gentoo.

I've attached syslog and dmesg. 

In average the problem occurs every one or two days on my machine with one monitor, resolution 3440x1440. 


The x11-drivers/xf86-video-nouveau driver version is 1.0.15
Comment 7 jadziadax30 2017-06-26 09:44:38 UTC
Created attachment 132245 [details]
syslog
Comment 8 jadziadax30 2017-06-26 09:45:37 UTC
Created attachment 132246 [details]
dmesg
Comment 9 rahulmehra 2017-06-30 07:39:47 UTC
I think I am experiencing the same problem on 4.10.0-24-generic on Ubuntu 17.04 with GNOME 3.24. I have 1 monitor running an Nvidia card.

The desktop freezes between 20 mins to 5 hours of the system running from boot.

This is the system log when it crashes

Jun 30 16:49:47 r-ubuntu kernel: [ 2282.503403] nouveau 0000:01:00.0: gr: TRAP ch 2 [003fa29000 Xorg[1154]]
Jun 30 16:49:47 r-ubuntu kernel: [ 2282.503411] nouveau 0000:01:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3c000d [OOR_REG]


Let me know if I need to provide more info
Comment 10 Géza Búza 2017-11-14 11:20:12 UTC
It must be a driver bug, as I see the same error on different kernel and different graphic hardware.


dmesg output:

nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
nouveau 0000:01:00.0: fifo: channel 12: killed
nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery


lspci -vv -s 01:00.0

VGA compatible controller: NVIDIA Corporation GK106GLM [Quadro K2100M] (rev a1) (prog-if 00 [VGA controller])
Subsystem: Dell GK106GLM [Quadro K2100M]
Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
Latency: 0, Cache Line Size: 64 bytes
Interrupt: pin A routed to IRQ 25
Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
Region 3: Memory at f0000000 (64-bit, prefetchable) [size=32M]
Region 5: I/O ports at e000 [size=128]
Expansion ROM at 000c0000 [disabled] [size=128K]
Capabilities: <access denied>
Kernel driver in use: nouveau
Kernel modules: nouveau


uname -a

Linux Geza-DellM4700 4.13.11-1-ARCH #1 SMP PREEMPT Thu Nov 2 10:25:56 CET 2017 x86_64 GNU/Linux


lsmod

Module                  Size  Used by
fuse                   94208  3
ccm                    20480  9
cmac                   16384  1
rfcomm                 69632  32
ipt_MASQUERADE         16384  1
nf_nat_masquerade_ipv4    16384  1 ipt_MASQUERADE
nf_conntrack_netlink    36864  0
nfnetlink              16384  2 nf_conntrack_netlink
xfrm_user              32768  1
xfrm_algo              16384  1 xfrm_user
iptable_nat            16384  1
nf_conntrack_ipv4      16384  3
nf_defrag_ipv4         16384  1 nf_conntrack_ipv4
nf_nat_ipv4            16384  1 iptable_nat
xt_addrtype            16384  2
iptable_filter         16384  1
xt_conntrack           16384  1
nf_nat                 24576  2 nf_nat_masquerade_ipv4,nf_nat_ipv4
nf_conntrack          110592  7 nf_conntrack_ipv4,ipt_MASQUERADE,nf_conntrack_netlink,nf_nat_masquerade_ipv4,xt_conntrack,nf_nat_ipv4,nf_nat
libcrc32c              16384  2 nf_conntrack,nf_nat
crc32c_generic         16384  0
br_netfilter           24576  0
bridge                139264  1 br_netfilter
stp                    16384  1 bridge
llc                    16384  2 bridge,stp
joydev                 20480  0
mousedev               20480  0
snd_hda_codec_hdmi     49152  1
snd_hda_codec_idt      49152  1
snd_hda_codec_generic    69632  1 snd_hda_codec_idt
bnep                   20480  2
arc4                   16384  2
hid_logitech_hidpp     32768  0
mei_wdt                16384  0
iTCO_wdt               16384  0
iTCO_vendor_support    16384  1 iTCO_wdt
ppdev                  20480  0
intel_rapl             20480  0
x86_pkg_temp_thermal    16384  0
intel_powerclamp       16384  0
dell_laptop            20480  0
coretemp               16384  0
dell_smm_hwmon         16384  0
kvm_intel             192512  0
iwlmvm                299008  0
kvm                   516096  1 kvm_intel
mac80211              688128  1 iwlmvm
irqbypass              16384  1 kvm
crct10dif_pclmul       16384  0
crc32_pclmul           16384  0
ghash_clmulni_intel    16384  0
pcbc                   16384  0
snd_hda_intel          36864  8
snd_hda_codec         106496  4 snd_hda_intel,snd_hda_codec_idt,snd_hda_codec_hdmi,snd_hda_codec_generic
aesni_intel           184320  8
uvcvideo               86016  0
snd_hda_core           65536  5 snd_hda_intel,snd_hda_codec,snd_hda_codec_idt,snd_hda_codec_hdmi,snd_hda_codec_generic
aes_x86_64             20480  1 aesni_intel
videobuf2_vmalloc      16384  1 uvcvideo
crypto_simd            16384  1 aesni_intel
snd_hwdep              20480  1 snd_hda_codec
btusb                  40960  0
glue_helper            16384  1 aesni_intel
videobuf2_memops       16384  1 videobuf2_vmalloc
e1000e                225280  0
nls_iso8859_1          16384  1
btrtl                  16384  1 btusb
cryptd                 20480  3 crypto_simd,ghash_clmulni_intel,aesni_intel
videobuf2_v4l2         20480  1 uvcvideo
iwlwifi               217088  1 iwlmvm
intel_cstate           16384  0
snd_pcm                86016  4 snd_hda_intel,snd_hda_codec,snd_hda_core,snd_hda_codec_hdmi
videobuf2_core         36864  2 uvcvideo,videobuf2_v4l2
btbcm                  16384  1 btusb
nls_cp437              20480  1
btintel                16384  1 btusb
dell_wmi               16384  0
dell_smbios            16384  2 dell_wmi,dell_laptop
bluetooth             479232  68 btrtl,btintel,bnep,btbcm,rfcomm,btusb
vfat                   20480  1
snd_timer              28672  1 snd_pcm
fat                    65536  1 vfat
videodev              155648  3 uvcvideo,videobuf2_core,videobuf2_v4l2
intel_rapl_perf        16384  0
snd                    73728  24 snd_hda_intel,snd_hwdep,snd_hda_codec,snd_hda_codec_idt,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_pcm
dcdbas                 16384  1 dell_smbios
ecdh_generic           24576  1 bluetooth
mei_me                 36864  1
media                  32768  2 uvcvideo,videodev
psmouse               135168  0
input_leds             16384  0
sparse_keymap          16384  1 dell_wmi
wmi_bmof               16384  0
cfg80211              532480  3 iwlmvm,iwlwifi,mac80211
crc16                  16384  1 bluetooth
hid_logitech_dj        20480  0
ptp                    20480  1 e1000e
lpc_ich                24576  0
i2c_i801               24576  0
soundcore              16384  1 snd
mei                    81920  3 mei_me,mei_wdt
pps_core               20480  1 ptp
shpchp                 32768  0
parport_pc             28672  0
parport                40960  2 parport_pc,ppdev
dell_smo8800           16384  0
thermal                20480  0
dell_rbtn              16384  0
rfkill                 20480  10 bluetooth,dell_laptop,dell_rbtn,cfg80211
battery                20480  0
ac                     16384  0
evdev                  24576  39
mac_hid                16384  0
squashfs               49152  1
loop                   28672  2
sch_fq_codel           20480  6
vboxnetflt             28672  0
vboxnetadp             28672  0
pci_stub               16384  1
vboxpci                24576  0
vboxdrv               393216  3 vboxnetadp,vboxnetflt,vboxpci
nfsd                  315392  13
auth_rpcgss            57344  1 nfsd
overlay                65536  0
oid_registry           16384  1 auth_rpcgss
nfs_acl                16384  1 nfsd
lockd                  86016  1 nfsd
sg                     36864  0
grace                  16384  2 nfsd,lockd
crypto_user            16384  0
sunrpc                282624  19 auth_rpcgss,nfsd,nfs_acl,lockd
ip_tables              24576  2 iptable_filter,iptable_nat
x_tables               32768  5 ip_tables,iptable_filter,ipt_MASQUERADE,xt_addrtype,xt_conntrack
btrfs                1036288  1
xor                    24576  1 btrfs
raid6_pq              114688  1 btrfs
sr_mod                 24576  0
cdrom                  53248  1 sr_mod
sd_mod                 49152  3
usbhid                 45056  0
hid                   114688  4 usbhid,hid_logitech_dj,hid_logitech_hidpp
serio_raw              16384  0
atkbd                  24576  0
libps2                 16384  2 atkbd,psmouse
ahci                   36864  2
libahci                28672  1 ahci
firewire_ohci          40960  0
crc32c_intel           24576  2
libata                208896  2 ahci,libahci
xhci_pci               16384  0
sdhci_pci              28672  0
sdhci                  40960  1 sdhci_pci
ehci_pci               16384  0
xhci_hcd              188416  1 xhci_pci
scsi_mod              155648  4 sd_mod,libata,sr_mod,sg
ehci_hcd               73728  1 ehci_pci
firewire_core          57344  1 firewire_ohci
mmc_core              122880  2 sdhci,sdhci_pci
crc_itu_t              16384  1 firewire_core
usbcore               208896  7 uvcvideo,usbhid,ehci_hcd,xhci_pci,btusb,xhci_hcd,ehci_pci
usb_common             16384  1 usbcore
i8042                  24576  1 dell_laptop
serio                  20480  6 serio_raw,atkbd,psmouse,i8042
nouveau              1564672  44
button                 16384  1 nouveau
video                  36864  3 dell_wmi,dell_laptop,nouveau
led_class              16384  5 iwlmvm,sdhci,input_leds,dell_laptop,nouveau
mxm_wmi                16384  1 nouveau
wmi                    20480  4 dell_wmi,wmi_bmof,mxm_wmi,nouveau
i2c_algo_bit           16384  1 nouveau
drm_kms_helper        131072  1 nouveau
syscopyarea            16384  1 drm_kms_helper
sysfillrect            16384  1 drm_kms_helper
sysimgblt              16384  1 drm_kms_helper
fb_sys_fops            16384  1 drm_kms_helper
ttm                    81920  1 nouveau
drm                   303104  29 nouveau,ttm,drm_kms_helper
agpgart                36864  3 nouveau,ttm,drm
Comment 11 988alex 2017-11-30 20:08:07 UTC
Same problem on Linux Neon 4.10.0-40-generic
xserver-xorg-video-nouveau-hwe-16.04 - 1:1.0.14-0ubuntu1~16.04.1
Comment 12 Marc Burkhardt 2017-12-29 17:52:46 UTC
On my Lenovo P50 this problem is newly introduced since I use a 4.14 kernel. Kernels below that are stable/working in regard of that problem. This is what I can aquire from the logs:

Dec 28 17:23:13 marc kernel: [ 5657.352825] nouveau 0000:01:00.0: fifo: channel 2: killed
Dec 28 17:23:13 marc kernel: [ 5657.352827] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Dec 28 17:23:13 marc kernel: [ 5657.352830] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Dec 28 17:23:13 marc kernel: [ 5657.352833] nouveau 0000:01:00.0: X[5708]: channel 2 killed!
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: gr: TRAP ch 2 [00ffbd0000 X[5708]]
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000000
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: fifo: read fault at 000ac40000 engine 00 [GR] client 07 [GPC0/T1_2] reason 02 [PTE] on channel 2 [00ffbd0000 X[5708]]
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: fifo: channel 2: killed
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Dec 28 17:23:13 local kernel: nouveau 0000:01:00.0: X[5708]: channel 2 killed!
Dec 28 17:24:03 marc kernel: [ 5706.891489] sysrq: SysRq : Keyboard mode set to system default
Dec 28 17:24:03 local kernel: sysrq: SysRq : Keyboard mode set to system default
Dec 28 17:24:04 marc exiting on signal 15

I found this in my Xorg.0.log but I don't know if it's somehow related to the above:

[   155.535] (EE) libinput bug: timer event13 debounce short: offset negative (-2229)
Comment 13 Jim Scarborough 2018-01-30 13:01:57 UTC
This looks very similar to Bug 103721.
Comment 14 Marc Burkhardt 2018-03-01 17:26:28 UTC
Hello there?!?!

Just because of pure curiosity: is any developer interested in this or are the users left alone watching their machines freeze for almost 10 months now?

Is there anything I (or any other user) could do to provide more info? Maybe apply a patch, send debug log, try this or that?

It's really so sad to see absolutely no progress but more complaints for that long...
Comment 15 Zéfling 2018-07-30 21:20:19 UTC
I also have this problem with a 770 GTX since I switched to KDE 5 about 5 months ago. Freeze without reason learns exept the mouse cursor. 
Kubuntu 17.10, Kubuntu 18.4, Debian 9 KDE and KDE Neon, same problem. In addition, with the nVidia driver it's worse.

---

01:00.0 VGA compatible controller: NVIDIA Corporation GK104 [GeForce GTX 770] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Micro-Star International Co., Ltd. [MSI] GK104 [GeForce GTX 770]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 27
        Region 0: Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at e8000000 (64-bit, prefetchable) [size=128M]
        Region 3: Memory at f0000000 (64-bit, prefetchable) [size=32M]
        Region 5: I/O ports at e000 [size=128]
        Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: nouveau
        Kernel modules: nvidiafb, nouveau

01:00.1 Audio device: NVIDIA Corporation GK104 HDMI Audio Controller (rev a1)
        Subsystem: Micro-Star International Co., Ltd. [MSI] GK104 HDMI Audio Controller
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at f7080000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: snd_hda_intel
        Kernel modules: snd_hda_intel
Comment 16 Daniel Gustaw 2018-11-05 10:27:12 UTC
I had the same problem:

Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.056748] nouveau 0000:05:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.056765] nouveau 0000:05:00.0: fifo: runlist 0: scheduled for recovery
Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.056781] nouveau 0000:05:00.0: fifo: channel 15: killed
Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.056791] nouveau 0000:05:00.0: fifo: engine 7: scheduled for recovery
Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.056798] nouveau 0000:05:00.0: fifo: engine 0: scheduled for recovery
Nov  5 10:56:01 daniel-Inspiron-3543 kernel: [ 8431.057508] nouveau 0000:05:00.0: gnome-shell[4200]: channel 15 killed!

lsb_release -d
Description:	Ubuntu 18.04.1 LTS
gnome-shell --version
GNOME Shell 3.28.3

sudo lshw -c video
  *-display                 
       description: VGA compatible controller
       product: GK107 [NVS 510]
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:05:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nouveau latency=0
       resources: irq:47 memory:de000000-deffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:c000(size=128) memory:c0000-dffff

hwinfo --gfxcard
56: PCI 500.0: 0300 VGA compatible controller (VGA)             
  [Created at pci.378]
  Unique ID: Ddhb.WEoD030yuUF
  Parent ID: _Znp.jlvukYYcj4B
  SysFS ID: /devices/pci0000:00/0000:00:02.0/0000:05:00.0
  SysFS BusID: 0000:05:00.0
  Hardware Class: graphics card
  Model: "nVidia GK107 [NVS 510]"
  Vendor: pci 0x10de "nVidia Corporation"
  Device: pci 0x0ffd "GK107 [NVS 510]"
  SubVendor: pci 0x10de "nVidia Corporation"
  SubDevice: pci 0x0967 
  Revision: 0xa1
  Driver: "nouveau"
  Driver Modules: "nouveau"
  Memory Range: 0xde000000-0xdeffffff (rw,non-prefetchable)
  Memory Range: 0xc0000000-0xcfffffff (ro,non-prefetchable)
  Memory Range: 0xd0000000-0xd1ffffff (ro,non-prefetchable)
  I/O Ports: 0xc000-0xc07f (rw)
  Memory Range: 0x000c0000-0x000dffff (rw,non-prefetchable,disabled)
  IRQ: 47 (296925 events)
  I/O Port: 0x00 (rw)
  Module Alias: "pci:v000010DEd00000FFDsv000010DEsd00000967bc03sc00i00"
  Driver Info #0:
    Driver Status: nvidiafb is not active
    Driver Activation Cmd: "modprobe nvidiafb"
  Driver Info #1:
    Driver Status: nouveau is active
    Driver Activation Cmd: "modprobe nouveau"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #73 (PCI bridge)

Primary display adapter: #56
Comment 17 sassmann 2018-12-22 11:41:16 UTC
Same issue with Lenovo P50 on 4.20-rc7.

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GM107GLM [Quadro M1000M] [10de:13b1] (rev a2) (prog-if 00 [VGA controller])

[162840.653595] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[162840.653610] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
[162840.653621] nouveau 0000:01:00.0: fifo: channel 4: killed
[162840.653631] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
[162840.654013] nouveau 0000:01:00.0: systemd-logind[1383]: channel 4 killed!
Comment 18 kenorb 2019-01-05 21:29:37 UTC
The same problem on Ubuntu 18.10, kernel 4.18.0-13.

I've got 4x GPU: GTX 1080 Ti (3-Way SLI Connector), NVIDIA GeForce GTX 1080 Ti graphics card with 3584 cores.

$ uname -a
Linux Ubuntu-PC 4.18.0-13-generic #14-Ubuntu SMP Wed Dec 5 09:04:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Errors in kern.log file:

nouveau 0000:65:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
nouveau 0000:65:00.0: fifo: runlist 0: scheduled for recovery
nouveau 0000:65:00.0: fifo: channel 2: killed
nouveau 0000:65:00.0: fifo: engine 0: scheduled for recovery
nouveau 0000:65:00.0: Xorg[5447]: channel 2 killed!
nouveau 0000:65:00.0: systemd-logind[3394]: nv50cal_space: -16
nouveau 0000:65:00.0: systemd-logind[3394]: nv50cal_space: -16
(the same message repeated 800x over and over again)

The system got freeze (no mouse or keyboard reaction), however kernel reacted on few Magic SysRq keys, so here are some stack traces:

INFO: task kworker/u72:8:492 blocked for more than 120 seconds.
      Tainted: G           O      4.18.0-13-generic #14-Ubuntu
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
kworker/u72:8   D    0   492      2 0x80000000
Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]

Call Trace at 20:25:50:
 __schedule+0x29e/0x840
 schedule+0x2c/0x80
 schedule_timeout+0x258/0x360
 ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
 dma_fence_default_wait+0x1fc/0x260
 ? dma_fence_release+0xa0/0xa0
 dma_fence_wait_timeout+0x3e/0xf0
 drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
 nv50_disp_atomic_commit_tail+0x78/0x860 [nouveau]
 ? __switch_to_asm+0x40/0x70
 ? __switch_to_asm+0x34/0x70
 nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
 process_one_work+0x20f/0x3c0
 worker_thread+0x34/0x400
 kthread+0x120/0x140
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread_bind+0x40/0x40
 ret_from_fork+0x35/0x40

Same call trace at 20:29:51 (few minutes later while Xorg was frozen):
Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Call Trace:
 __schedule+0x29e/0x840
 ? apic_timer_interrupt+0xa/0x20
 ? __drm_crtc_commit_free+0x12/0x20 [drm]
 schedule+0x2c/0x80
 schedule_timeout+0x258/0x360
 ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
 dma_fence_default_wait+0x1fc/0x260
 ? dma_fence_release+0xa0/0xa0
 dma_fence_wait_timeout+0x3e/0xf0
 drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
 nv50_disp_atomic_commit_tail+0x78/0x860 [nouveau]
 ? __switch_to_asm+0x40/0x70
 ? __switch_to_asm+0x34/0x70
 nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
 process_one_work+0x20f/0x3c0
 worker_thread+0x34/0x400
 kthread+0x120/0x140
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread_bind+0x40/0x40
 ret_from_fork+0x35/0x40

Another one:
INFO: task Xorg:5447 blocked for more than 120 seconds.
      Tainted: G           O      4.18.0-13-generic #14-Ubuntu
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xorg            D    0  5447   5445 0x00000004
Call Trace:
 __schedule+0x29e/0x840
 schedule+0x2c/0x80
 schedule_preempt_disabled+0xe/0x10
 __ww_mutex_lock.isra.6+0x3c1/0x660
 __ww_mutex_lock_slowpath+0x16/0x20
 ww_mutex_lock+0x34/0x50
 drm_modeset_lock+0x6e/0xb0 [drm]
 drm_crtc_get_sequence_ioctl+0xbc/0x190 [drm]
 ? drm_wait_vblank_ioctl+0x610/0x610 [drm]
 drm_ioctl_kernel+0xa4/0xf0 [drm]
 drm_ioctl+0x227/0x400 [drm]
 ? drm_wait_vblank_ioctl+0x610/0x610 [drm]
 ? do_iter_write+0xe1/0x1a0
 ? do_iter_write+0xe1/0x1a0
 nouveau_drm_ioctl+0x73/0xc0 [nouveau]
 do_vfs_ioctl+0xa8/0x620
 ? __sys_recvmsg+0x88/0xa0
 ksys_ioctl+0x67/0x90
 __x64_sys_ioctl+0x1a/0x20
 do_syscall_64+0x5a/0x110
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f3f654b93c7
Code: Bad RIP value.
RSP: 002b:00007ffd57bbf168 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffd57bbf200 RCX: 00007f3f654b93c7
RDX: 00007ffd57bbf1a0 RSI: 00000000c018643b RDI: 000000000000000e
RBP: 00007ffd57bbf1a0 R08: 0000000000000000 R09: 00005646eb8ff7c0
R10: 00005646eb54ad30 R11: 0000000000000246 R12: 00000000c018643b
R13: 000000000000000e R14: 00005646eb54b800 R15: 00005646eb466880

Full log: https://gist.github.com/kenorb/5b95caa1694dbf7f030ccc808a110856
Comment 19 kenorb 2019-01-05 21:44:24 UTC
*** Bug 98138 has been marked as a duplicate of this bug. ***
Comment 20 kenorb 2019-01-05 21:51:50 UTC
Related, possible dup: #99900
Comment 21 kenorb 2019-01-05 21:53:06 UTC
Based on the provided call stacks, related commit for nv50_wndw_atomic_destroy_state: https://lore.kernel.org/patchwork/patch/781346/
Comment 22 kenorb 2019-01-06 14:37:57 UTC
*** Bug 96562 has been marked as a duplicate of this bug. ***
Comment 23 A. Wilcox 2019-01-06 18:55:30 UTC
Maybe related, my Bug 104448.
Comment 24 kenorb 2019-02-04 21:44:01 UTC
Happened another 3 times.

Logs and stack traces:
- https://gist.github.com/kenorb/9e6537747630f72bf7cc4a5afcc288a7
- https://gist.github.com/kenorb/0e85a737488ad8c294d70dd83d2bcd13
- https://gist.github.com/kenorb/abb9db39b04b9fd551429c79c6750883

Call Trace:
 __schedule+0x29e/0x840
 schedule+0x2c/0x80
 schedule_timeout+0x258/0x360
 ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
 dma_fence_default_wait+0x1fc/0x260
 ? dma_fence_release+0xa0/0xa0
 dma_fence_wait_timeout+0x3e/0xf0
 drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
 nv50_disp_atomic_commit_tail+0x78/0x860 [nouveau]
 ? __switch_to_asm+0x40/0x70
 ? __switch_to_asm+0x34/0x70
 nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
 process_one_work+0x20f/0x3c0
 worker_thread+0x34/0x400
 kthread+0x120/0x140
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread_bind+0x40/0x40
 ret_from_fork+0x35/0x40

Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Call Trace:
 __schedule+0x29e/0x840
 ? nvkm_ioctl_ntfy_get+0x5c/0x80 [nouveau]
 schedule+0x2c/0x80
 schedule_timeout+0x258/0x360
 ? nvif_object_ioctl+0x47/0x50 [nouveau]
 ? nouveau_bo_rd32+0x2a/0x30 [nouveau]
 ? nv84_fence_read+0x2c/0x30 [nouveau]
 ? nouveau_fence_no_signaling+0x2a/0x90 [nouveau]
 dma_fence_default_wait+0x1fc/0x260
 ? dma_fence_release+0xa0/0xa0
 dma_fence_wait_timeout+0x3e/0xf0
 drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
 nv50_disp_atomic_commit_tail+0x78/0x860 [nouveau]
 ? __switch_to_asm+0x40/0x70
 ? __switch_to_asm+0x34/0x70
 nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
 process_one_work+0x20f/0x3c0
 worker_thread+0x34/0x400
 kthread+0x120/0x140
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread_bind+0x40/0x40
 ret_from_fork+0x35/0x40
INFO: task kworker/u72:1:35901 blocked for more than 120 seconds.
      Tainted: G        W  O      4.18.0-13-generic #14-Ubuntu

INFO: task Xorg:5761 blocked for more than 120 seconds.
      Tainted: G           O      4.18.0-13-generic #14-Ubuntu
Xorg            D    0  5761   5759 0x00000004
Call Trace:
 __schedule+0x29e/0x840
 ? kfree+0x15b/0x180
 schedule+0x2c/0x80
 schedule_preempt_disabled+0xe/0x10
 __ww_mutex_lock.isra.6+0x3c1/0x660
 __ww_mutex_lock_slowpath+0x16/0x20
 ww_mutex_lock+0x34/0x50
 drm_modeset_lock+0x6e/0xb0 [drm]
 drm_crtc_get_sequence_ioctl+0xbc/0x190 [drm]
 ? drm_wait_vblank_ioctl+0x610/0x610 [drm]
 drm_ioctl_kernel+0xa4/0xf0 [drm]
 drm_ioctl+0x227/0x400 [drm]
 ? drm_wait_vblank_ioctl+0x610/0x610 [drm]
 ? ep_modify+0x160/0x160
 nouveau_drm_ioctl+0x73/0xc0 [nouveau]
 do_vfs_ioctl+0xa8/0x620
 ? __sys_recvmsg+0x88/0xa0
 ksys_ioctl+0x67/0x90
 __x64_sys_ioctl+0x1a/0x20
 do_syscall_64+0x5a/0x110
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f8bb9f703c7
Code: Bad RIP value.
RSP: 002b:00007ffd077cc868 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffd077cc900 RCX: 00007f8bb9f703c7
RDX: 00007ffd077cc8a0 RSI: 00000000c018643b RDI: 000000000000000e
RBP: 00007ffd077cc8a0 R08: 0000000000000000 R09: 000055aba56d3850
R10: 0000000000000000 R11: 0000000000000246 R12: 00000000c018643b
R13: 000000000000000e R14: 000055aba5402c30 R15: 000055aba531dcb0
INFO: task kworker/u72:1:8681 blocked for more than 120 seconds.
      Tainted: G           O      4.18.0-13-generic #14-Ubuntu

INFO: task kworker/u72:3:14273 blocked for more than 120 seconds.
      Tainted: G           O      4.18.0-13-generic #14-Ubuntu
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
kworker/u72:3   D    0 14273      2 0x80000000
Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Call Trace:
 __schedule+0x29e/0x840
 schedule+0x2c/0x80
 schedule_timeout+0x258/0x360
 ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
 dma_fence_default_wait+0x1fc/0x260
 ? dma_fence_release+0xa0/0xa0
 dma_fence_wait_timeout+0x3e/0xf0
 drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
 nv50_disp_atomic_commit_tail+0x78/0x860 [nouveau]
 ? __switch_to_asm+0x40/0x70
 ? __switch_to_asm+0x34/0x70
 nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
 process_one_work+0x20f/0x3c0
 worker_thread+0x34/0x400
 kthread+0x120/0x140
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread_bind+0x40/0x40
 ret_from_fork+0x35/0x40
Comment 25 kenorb 2019-02-07 00:09:26 UTC
Another one from today:

nouveau 0000:65:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Feb 06 23:42:47 Ubuntu-PC kernel: nouveau 0000:65:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Feb 06 23:42:47 Ubuntu-PC kernel: nouveau 0000:65:00.0: fifo: runlist 0: scheduled for recovery
Feb 06 23:42:47 Ubuntu-PC kernel: nouveau 0000:65:00.0: fifo: channel 4: killed
Feb 06 23:42:47 Ubuntu-PC kernel: nouveau 0000:65:00.0: fifo: engine 0: scheduled for recovery
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: kernel rejected pushbuf: Device or resource busy
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: krec 0 pushes 1 bufs 4 relocs 0
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: buf 00000000 00000005 00000004 00000004 00000000
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: buf 00000001 00000006 00000004 00000000 00000004
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: buf 00000002 000000c6 00000002 00000000 00000002
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: buf 00000003 000000ec 00000004 00000004 00000000
Feb 06 23:42:59 Ubuntu-PC /usr/lib/gdm3/gdm-x-session[6370]: nouveau: ch12: psh 00000000 000001736c 00000173fc

Full log: https://gist.github.com/kenorb/2e70f27aa25e9ba1d89f34fe186b3c53
Comment 27 Marc Burkhardt 2019-05-05 15:25:06 UTC
$100 offered for a RELIABLE fix _upstream_ Kernel/Nouveau/Mesa/... so that we all get rifd of this annoying bug!

No shit sherlock.
Comment 28 Roy 2019-05-05 18:24:39 UTC
Somewhat surprised that this particular report hasn't received any attention from a core dev. Sadly, I'm afraid my response will not be hugely satisfying eiter.

The message "fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]" is not the result of *a bug* and does not point in the direction of one. Rather it is a symptom of a wide variety of potential problems with nouveau, (all of) which result in a hang of the rendering part of the GPU. On itself it doesn't give meaningful information to any developer as to what may be the culprit. It's like measuring a fever, it could be the result of many conditions.

Developers would be helped if there was a reliably reproducible situation in which this event can be triggered. If there is a list of steps that can be followed that would result in this message and a hang, that somehow doesn't involve words like "random" or "wait for possibly a few hours", and that can be traced with tools such as APITrace, we could get a step further in analysing what goes wrong. However, it seems unlikely this is the case, especially since we are also aware of multithreading-related issues that make isolating such problems extremely difficult. Unfortunately, post-mortem syslogs and dmesgs are unlikely to add any useful information to this or similar bug reports.
Comment 29 Marc Burkhardt 2019-05-06 16:51:39 UTC
(In reply to Roy from comment #28)
> Somewhat surprised that this particular report hasn't received any attention
> from a core dev. Sadly, I'm afraid my response will not be hugely satisfying
> eiter.
> 
> The message "fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]" is not the result of *a
> bug* and does not point in the direction of one. Rather it is a symptom of a
> wide variety of potential problems with nouveau, (all of) which result in a
> hang of the rendering part of the GPU. On itself it doesn't give meaningful
> information to any developer as to what may be the culprit. It's like
> measuring a fever, it could be the result of many conditions.
> 
> Developers would be helped if there was a reliably reproducible situation in
> which this event can be triggered. If there is a list of steps that can be
> followed that would result in this message and a hang, that somehow doesn't
> involve words like "random" or "wait for possibly a few hours", and that can
> be traced with tools such as APITrace, we could get a step further in
> analysing what goes wrong. However, it seems unlikely this is the case,
> especially since we are also aware of multithreading-related issues that
> make isolating such problems extremely difficult. Unfortunately, post-mortem
> syslogs and dmesgs are unlikely to add any useful information to this or
> similar bug reports.

Hi Roy,

first of all thank you very much for your time taken to answer this thread. Also thank you for the insights you gave.

As there are "tons" of threads out there, from Ubuntu to Fedora bug trackers, as well as several threads here on freedesktop and the Linux bug tracker, that are open created even 2 years ago, I guess it's time to get hands on to get rid of this bug. You cannot imagine how annoying it is if you work on a machine that could easily just completely "stall" when you open the wrong menu item or scroll a Twitter page just at the wrong time.

Anyways, I'm still offering $100 for fixing this, so me and a good bunch of people around get this fixed upstream, so that it won't show up regardless of distro or whatever kernel they run. This definitely needs a good amount of backporting though, as it bugs us for a long time. Maybe the one or other is willing two throw another $5 at it, so this would actually not benefit the user only, but also the developer. If someone is familiar with a crowd-funding or something -> I am not.

I'm willing to participate in testing patches or whatever I can do as a non-graphics-driver developer. I'm surely familiar with the processes testing patches, however.

I don't know what to suggest as a start to get this thing done. I have nouveau "debug" logs on my machine for a long time, but actually never saw anything relevant in it besides the "message of death". Just a blink of an eye after this happens the machine is completely unusable - no chance to interact anyhow besides SysRq+REISSSUB.

I would very much like to make a progress here.

Maybe we could start and gather the already opened bugs and the people who participated in these. Just to have a couple of people really "hit" by the problem, that are willing to help and, moreover, are able to gather info on their machines.

I'm pretty happy to run my machines without the "BLOB" and would happily keep it this way. But this is a showstopper. A showstopper that has not gotten the right attention for a long time now.

Thanks in advance - no matter what we will achieve.

Marc
Comment 30 Ilia Mirkin 2019-05-06 17:05:03 UTC
(In reply to Marc Burkhardt from comment #29)
> I'm pretty happy to run my machines without the "BLOB" and would happily
> keep it this way. But this is a showstopper. A showstopper that has not
> gotten the right attention for a long time now.

The best way to get a good experience is to avoid doing things which break nouveau. If you don't need the 3d acceleration, just remove nouveau_dri.so. You still get the X-based acceleration (via xf86-video-nouveau, not the GL-based modesetting driver), but no OpenGL. This gets you a fairly rock-solid experience.

Unfortunately software whose name starts with the letters G and K has come to depend on OpenGL for even the most basic tasks without much care about driver support for this in the past couple of years. I generally avoid those, and do just fine. (While I do run GL-using applications on occasion, I don't do it all the time, or many of them.)

While your offer for $100 is well-meaning and appreciated, the reality is that the capable developers either work for free in their spare time (at which point accepting $100 is probably more trouble than it's worth), or need stable full-time jobs (so a lot more 0's are needed on that offer).
Comment 31 Marc Burkhardt 2019-05-06 17:36:09 UTC
Hi Ilia,

by offering a $100 for this the intention was to just get this thing sorted out from the nouveau guys _prior_ to any "my game X still doesn't work with nouveau" bug. I don't want to lean out toooo far out of the window, but I think this actually is a gregression, too. Not just a bug. Nevertheless, I know developers earn much more than that, I'm a developer myself.

I cannot share your expression "The best way to get a good experience is to avoid doing things which break nouveau". What experience is this if you use a product that you know has a bug and you try to avoid it? Someday you change the product. But I do not want this. I want the bug to be sorted out, offering my spare time, some bucks for you to have a night out and nothing more.

I use enlightenment desktop on top of modesetting driver with "nouveau.noaccel=0 nouveau.nofbaccel=1 nouveau.modeset=1 nouveau.runpm=0 nouveau.debug=disp=trace,i2c=trace,bios=trace nouveau.config=NvPmShowAll=true" applied. I see no reason to just _not_ use the features the driver offers. And when they do not work: either fix them or get rid of them.

I'm also absolutely not into heavy 3D, hevay OpenGL or whatever-usage. I just use a modern and advanced desktop environment (Enlightenment, git) on recent "stable" hardware (ThinkPad P50). Not trying to _force_ nouveau to go down.

If your answer really is to "not stress" the driver with a usual workload, avoid stuff "with the letters G and K" or whatever... oh dear. Cannot imagine how I start to argue over this for _my_ work with _my_ boss...
Comment 32 Jeremy Booker 2019-05-06 20:23:11 UTC
Yes, I'm quite concerned by the "just avoid the bug" mentality too. I first reported this bug because running a web browser, terminal, and text editor (as a web developer) on a default Fedora install was seemingly asking too much of the Nouveau driver. I wasn't taxing it with any unusual. I ended up switching to the proprietary driver because I couldn't be productive with so many crashes in the course of a work day.

I now work at a different place and no longer have access to the hardware where I was experiencing this issue, so I'm afraid I can't be of any further help here. I wish you all luck!
Comment 33 Brian J. Murrell 2019-06-07 19:37:31 UTC
Seems I just hit this also on Fedora 30:

[714357.060052] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[714357.060066] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
[714357.060078] nouveau 0000:01:00.0: fifo: channel 12: killed
[714357.060097] nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
[714357.060101] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
[714357.060582] nouveau 0000:01:00.0: Xorg[9580]: channel 12 killed!

# uname -r
5.0.17-300.fc30.x86_64

# cat /home/brian/.local/share/xorg/Xorg.0.log
[  1090.508] (--) Log file renamed from "/home/brian/.local/share/xorg/Xorg.pid-9580.log" to "/home/brian/.local/share/xorg/Xorg.0.log"
[  1090.509] 
X.Org X Server 1.20.4
X Protocol Version 11, Revision 0
[  1090.509] Build Operating System:  4.20.13-200.fc29.x86_64 
[  1090.509] Current Operating System: Linux bmurrell-mobl.amr.corp.intel.com 5.0.17-300.fc30.x86_64 #1 SMP Mon May 20 15:36:26 UTC 2019 x86_64
[  1090.509] Kernel command line: BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.0.17-300.fc30.x86_64 root=/dev/mapper/fedora_rootvol-fedora_root ro resume=/dev/mapper/fedora_rootvol-swap rd.lvm.lv=fedora_rootvol/fedora_root rd.luks.uuid=luks-8737d036-edd5-4ffd-9922-35785f0d199d rd.lvm.lv=fedora_rootvol/swap rd.lvm.lv=fedora_rootvol/fedora_usr libata.allow_tpm=1 rhgb
[  1090.509] Build Date: 29 March 2019  05:04:12AM
[  1090.509] Build ID: xorg-x11-server 1.20.4-3.fc30 
[  1090.509] Current version of pixman: 0.38.0
[  1090.509] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[  1090.509] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  1090.510] (==) Log file: "/home/brian/.local/share/xorg/Xorg.0.log", Time: Thu May 30 09:17:11 2019
[  1090.510] (==) Using config directory: "/etc/X11/xorg.conf.d"
[  1090.510] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  1090.511] (==) No Layout section.  Using the first Screen section.
[  1090.511] (==) No screen section available. Using defaults.
[  1090.511] (**) |-->Screen "Default Screen Section" (0)
[  1090.511] (**) |   |-->Monitor "<default monitor>"
[  1090.512] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[  1090.512] (==) Automatically adding devices
[  1090.512] (==) Automatically enabling devices
[  1090.512] (==) Automatically adding GPU devices
[  1090.512] (==) Automatically binding GPU devices
[  1090.513] (==) Max clients allowed: 256, resource mask: 0x1fffff
[  1090.513] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
[  1090.513] (==) ModulePath set to "/usr/lib64/xorg/modules"
[  1090.513] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[  1090.513] (II) Loader magic: 0x561ee52f6e00
[  1090.513] (II) Module ABI versions:
[  1090.513] 	X.Org ANSI C Emulation: 0.4
[  1090.513] 	X.Org Video Driver: 24.0
[  1090.513] 	X.Org XInput driver : 24.1
[  1090.513] 	X.Org Server Extension : 10.0
[  1090.513] (++) using VT number 2

[  1090.514] (II) systemd-logind: took control of session /org/freedesktop/login1/session/_39
[  1090.515] (II) xfree86: Adding drm device (/dev/dri/card0)
[  1090.516] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 14 paused 0
[  1090.518] (--) PCI:*(1@0:0:0) 10de:13b6:103c:8277 rev 162, Mem @ 0xe3000000/16777216, 0xa0000000/268435456, 0xb0000000/33554432, I/O @ 0x00005000/128, BIOS @ 0x????????/65536
[  1090.519] (II) LoadModule: "glx"
[  1090.519] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[  1090.520] (II) Module glx: vendor="X.Org Foundation"
[  1090.520] 	compiled for 1.20.4, module version = 1.0.0
[  1090.520] 	ABI class: X.Org Server Extension, version 10.0
[  1090.636] (==) Matched modesetting as autoconfigured driver 0
[  1090.636] (==) Matched fbdev as autoconfigured driver 1
[  1090.636] (==) Matched vesa as autoconfigured driver 2
[  1090.636] (==) Assigned the driver to the xf86ConfigLayout
[  1090.636] (II) LoadModule: "modesetting"
[  1090.636] (II) Loading /usr/lib64/xorg/modules/drivers/modesetting_drv.so
[  1090.636] (II) Module modesetting: vendor="X.Org Foundation"
[  1090.636] 	compiled for 1.20.4, module version = 1.20.4
[  1090.636] 	Module class: X.Org Video Driver
[  1090.636] 	ABI class: X.Org Video Driver, version 24.0
[  1090.636] (II) LoadModule: "fbdev"
[  1090.636] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[  1090.636] (II) Module fbdev: vendor="X.Org Foundation"
[  1090.636] 	compiled for 1.20.3, module version = 0.5.0
[  1090.636] 	Module class: X.Org Video Driver
[  1090.636] 	ABI class: X.Org Video Driver, version 24.0
[  1090.636] (II) LoadModule: "vesa"
[  1090.636] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[  1090.637] (II) Module vesa: vendor="X.Org Foundation"
[  1090.637] 	compiled for 1.20.4, module version = 2.4.0
[  1090.637] 	Module class: X.Org Video Driver
[  1090.637] 	ABI class: X.Org Video Driver, version 24.0
[  1090.637] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[  1090.637] (II) FBDEV: driver for framebuffer: fbdev
[  1090.637] (II) VESA: driver for VESA chipsets: vesa
[  1090.637] xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)
[  1090.637] (II) modeset(0): using drv /dev/dri/card0
[  1090.637] (WW) Falling back to old probe method for fbdev
[  1090.637] (II) Loading sub module "fbdevhw"
[  1090.637] (II) LoadModule: "fbdevhw"
[  1090.637] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
[  1090.637] (II) Module fbdevhw: vendor="X.Org Foundation"
[  1090.637] 	compiled for 1.20.4, module version = 0.0.2
[  1090.637] 	ABI class: X.Org Video Driver, version 24.0
[  1090.637] (EE) open /dev/fb0: Permission denied
[  1090.637] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[  1090.637] (II) modeset(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[  1090.637] (==) modeset(0): Depth 24, (==) framebuffer bpp 32
[  1090.637] (==) modeset(0): RGB weight 888
[  1090.637] (==) modeset(0): Default visual is TrueColor
[  1090.637] (II) Loading sub module "glamoregl"
[  1090.637] (II) LoadModule: "glamoregl"
[  1090.638] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
[  1090.642] (II) Module glamoregl: vendor="X.Org Foundation"
[  1090.642] 	compiled for 1.20.4, module version = 1.0.1
[  1090.642] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  1090.719] (II) modeset(0): glamor X acceleration enabled on NV117
[  1090.719] (II) modeset(0): glamor initialized
[  1090.751] (II) modeset(0): Output DP-1 has no monitor section
[  1090.783] (II) modeset(0): Output DP-2 has no monitor section
[  1090.815] (II) modeset(0): Output DP-3 has no monitor section
[  1090.836] (II) modeset(0): Output eDP-1 has no monitor section
[  1090.869] (II) modeset(0): EDID for output DP-1
[  1090.901] (II) modeset(0): EDID for output DP-2
[  1090.933] (II) modeset(0): EDID for output DP-3
[  1090.954] (II) modeset(0): EDID for output eDP-1
[  1090.954] (II) modeset(0): Manufacturer: LGD  Model: 57e  Serial#: 0
[  1090.954] (II) modeset(0): Year: 2016  Week: 0
[  1090.954] (II) modeset(0): EDID Version: 1.4
[  1090.954] (II) modeset(0): Digital Display Input
[  1090.954] (II) modeset(0): 6 bits per channel
[  1090.954] (II) modeset(0): Digital interface is DisplayPort
[  1090.954] (II) modeset(0): Max Image Size [cm]: horiz.: 34  vert.: 19
[  1090.954] (II) modeset(0): Gamma: 2.20
[  1090.954] (II) modeset(0): DPMS capabilities: StandBy Suspend Off
[  1090.955] (II) modeset(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[  1090.955] (II) modeset(0): First detailed timing is preferred mode
[  1090.955] (II) modeset(0): Preferred mode is native pixel format and refresh rate
[  1090.955] (II) modeset(0): redX: 0.640 redY: 0.345   greenX: 0.335 greenY: 0.625
[  1090.955] (II) modeset(0): blueX: 0.150 blueY: 0.052   whiteX: 0.313 whiteY: 0.329
[  1090.955] (II) modeset(0): Manufacturer's mask: 0
[  1090.955] (II) modeset(0): Supported detailed timing:
[  1090.955] (II) modeset(0): clock: 138.7 MHz   Image Size:  344 x 194 mm
[  1090.955] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[  1090.955] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[  1090.955] (II) modeset(0): Supported detailed timing:
[  1090.955] (II) modeset(0): clock: 138.7 MHz   Image Size:  344 x 194 mm
[  1090.955] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[  1090.955] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[  1090.955] (II) modeset(0): Unknown vendor-specific block 2
[  1090.955] (II) modeset(0): EDID (in hex):
[  1090.955] (II) modeset(0): 	00ffffffffffff0030e47e0500000000
[  1090.955] (II) modeset(0): 	001a010495221378eadc95a35855a026
[  1090.955] (II) modeset(0): 	0d505400000001010101010101010101
[  1090.955] (II) modeset(0): 	0101010101012e3680a070381f403020
[  1090.955] (II) modeset(0): 	350058c21000001a2e3680a070381f40
[  1090.955] (II) modeset(0): 	3020350058c21000001a000000000000
[  1090.955] (II) modeset(0): 	00000000000000000000000000000002
[  1090.955] (II) modeset(0): 	000833ff0a3c961e163696000000001c
[  1090.955] (II) modeset(0): Printing probed modes for output eDP-1
[  1090.955] (II) modeset(0): Modeline "1920x1080"x60.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
[  1090.955] (II) modeset(0): Modeline "1920x1080"x120.0  356.38  1920 2080 2288 2656  1080 1081 1084 1118 doublescan -hsync +vsync (134.2 kHz d)
[  1090.955] (II) modeset(0): Modeline "1920x1080"x119.9  266.50  1920 1944 1960 2000  1080 1081 1084 1111 doublescan +hsync -vsync (133.2 kHz d)
[  1090.955] (II) modeset(0): Modeline "1920x1080"x60.0  173.00  1920 2048 2248 2576  1080 1083 1088 1120 -hsync +vsync (67.2 kHz d)
[  1090.955] (II) modeset(0): Modeline "1920x1080"x59.9  138.50  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.6 kHz d)
[  1090.955] (II) modeset(0): Modeline "1680x1050"x60.0  146.36  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
[  1090.955] (II) modeset(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz d)
[  1090.955] (II) modeset(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz d)
[  1090.955] (II) modeset(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
[  1090.955] (II) modeset(0): Modeline "1400x1050"x60.0  121.79  1400 1488 1632 1864  1050 1053 1057 1089 -hsync +vsync (65.3 kHz)
[  1090.955] (II) modeset(0): Modeline "1600x900"x120.0  246.00  1600 1728 1900 2200  900 901 904 932 doublescan -hsync +vsync (111.8 kHz d)
[  1090.955] (II) modeset(0): Modeline "1600x900"x119.9  186.50  1600 1624 1640 1680  900 901 904 926 doublescan +hsync -vsync (111.0 kHz d)
[  1090.955] (II) modeset(0): Modeline "1600x900"x59.9  118.25  1600 1696 1856 2112  900 903 908 934 -hsync +vsync (56.0 kHz d)
[  1090.955] (II) modeset(0): Modeline "1600x900"x59.8   97.50  1600 1648 1680 1760  900 903 908 926 +hsync -vsync (55.4 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x1024"x59.9  109.10  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
[  1090.955] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz d)
[  1090.955] (II) modeset(0): Modeline "1400x900"x60.0  103.50  1400 1480 1624 1848  900 903 913 934 -hsync +vsync (56.0 kHz d)
[  1090.955] (II) modeset(0): Modeline "1400x900"x59.9   86.50  1400 1448 1480 1560  900 903 913 926 +hsync -vsync (55.4 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x960"x60.0  101.34  1280 1360 1488 1696  960 963 967 996 -hsync +vsync (59.8 kHz)
[  1090.955] (II) modeset(0): Modeline "1440x810"x120.0  198.12  1440 1548 1704 1968  810 811 814 839 doublescan -hsync +vsync (100.7 kHz d)
[  1090.955] (II) modeset(0): Modeline "1440x810"x119.9  151.88  1440 1464 1480 1520  810 811 814 833 doublescan +hsync -vsync (99.9 kHz d)
[  1090.955] (II) modeset(0): Modeline "1368x768"x59.9   85.25  1368 1440 1576 1784  768 771 781 798 -hsync +vsync (47.8 kHz d)
[  1090.955] (II) modeset(0): Modeline "1368x768"x59.9   72.25  1368 1416 1448 1528  768 771 781 790 +hsync -vsync (47.3 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x800"x120.0  174.25  1280 1380 1516 1752  800 801 804 829 doublescan -hsync +vsync (99.5 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x800"x119.9  134.25  1280 1304 1320 1360  800 801 804 823 doublescan +hsync -vsync (98.7 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz d)
[  1090.955] (II) modeset(0): Modeline "1152x864"x60.0   81.77  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
[  1090.955] (II) modeset(0): Modeline "1280x720"x120.0  156.12  1280 1376 1512 1744  720 721 724 746 doublescan -hsync +vsync (89.5 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x720"x120.0  120.75  1280 1304 1320 1360  720 721 724 740 doublescan +hsync -vsync (88.8 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz d)
[  1090.955] (II) modeset(0): Modeline "1280x720"x59.7   63.75  1280 1328 1360 1440  720 723 728 741 +hsync -vsync (44.3 kHz d)
[  1090.955] (II) modeset(0): Modeline "1024x768"x120.1  133.47  1024 1100 1212 1400  768 768 770 794 doublescan -hsync +vsync (95.3 kHz d)
[  1090.955] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
[  1090.955] (II) modeset(0): Modeline "1024x768"x59.9   63.53  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
[  1090.956] (II) modeset(0): Modeline "960x720"x120.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "928x696"x120.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[  1090.956] (II) modeset(0): Modeline "896x672"x120.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[  1090.956] (II) modeset(0): Modeline "1024x576"x119.9   98.50  1024 1092 1200 1376  576 577 580 597 doublescan -hsync +vsync (71.6 kHz d)
[  1090.956] (II) modeset(0): Modeline "1024x576"x119.9   78.38  1024 1048 1064 1104  576 577 580 592 doublescan +hsync -vsync (71.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "1024x576"x59.9   46.50  1024 1064 1160 1296  576 579 584 599 -hsync +vsync (35.9 kHz d)
[  1090.956] (II) modeset(0): Modeline "1024x576"x59.8   42.00  1024 1072 1104 1184  576 579 584 593 +hsync -vsync (35.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x600"x119.9   96.62  960 1028 1128 1296  600 601 604 622 doublescan -hsync +vsync (74.6 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x600"x120.0   77.00  960 984 1000 1040  600 601 604 617 doublescan +hsync -vsync (74.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x540"x119.9   86.50  960 1024 1124 1288  540 541 544 560 doublescan -hsync +vsync (67.2 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x540"x120.0   69.25  960 984 1000 1040  540 541 544 555 doublescan +hsync -vsync (66.6 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x540"x59.6   40.75  960 992 1088 1216  540 543 548 562 -hsync +vsync (33.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "960x540"x59.8   37.25  960 1008 1040 1120  540 543 548 556 +hsync -vsync (33.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "800x600"x120.0   81.00  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (75.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[  1090.956] (II) modeset(0): Modeline "800x600"x60.0   38.31  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
[  1090.956] (II) modeset(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[  1090.956] (II) modeset(0): Modeline "840x525"x120.0   73.12  840 892 980 1120  525 526 529 544 doublescan -hsync +vsync (65.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "840x525"x119.8   59.50  840 864 880 920  525 526 529 540 doublescan +hsync -vsync (64.7 kHz d)
[  1090.956] (II) modeset(0): Modeline "864x486"x59.9   32.50  864 888 968 1072  486 489 494 506 -hsync +vsync (30.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "864x486"x59.6   30.50  864 912 944 1024  486 489 494 500 +hsync -vsync (29.8 kHz d)
[  1090.956] (II) modeset(0): Modeline "700x525"x120.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[  1090.956] (II) modeset(0): Modeline "800x450"x119.9   59.12  800 848 928 1056  450 451 454 467 doublescan -hsync +vsync (56.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "800x450"x119.6   48.75  800 824 840 880  450 451 454 463 doublescan +hsync -vsync (55.4 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x512"x120.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "700x450"x119.9   51.75  700 740 812 924  450 451 456 467 doublescan -hsync +vsync (56.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "700x450"x119.8   43.25  700 724 740 780  450 451 456 463 doublescan +hsync -vsync (55.4 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x480"x120.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x480"x59.9   23.98  640 664 720 800  480 483 487 500 -hsync +vsync (30.0 kHz)
[  1090.956] (II) modeset(0): Modeline "720x405"x59.5   22.50  720 744 808 896  405 408 413 422 -hsync +vsync (25.1 kHz d)
[  1090.956] (II) modeset(0): Modeline "720x405"x59.0   21.75  720 768 800 880  405 408 413 419 +hsync -vsync (24.7 kHz d)
[  1090.956] (II) modeset(0): Modeline "720x400"x60.0   22.41  720 744 808 896  400 403 413 417 -hsync +vsync (25.0 kHz)
[  1090.956] (II) modeset(0): Modeline "684x384"x119.8   42.62  684 720 788 892  384 385 390 399 doublescan -hsync +vsync (47.8 kHz d)
[  1090.956] (II) modeset(0): Modeline "684x384"x119.7   36.12  684 708 724 764  384 385 390 395 doublescan +hsync -vsync (47.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x400"x119.8   41.75  640 676 740 840  400 401 404 415 doublescan -hsync +vsync (49.7 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x400"x120.0   35.50  640 664 680 720  400 401 404 411 doublescan +hsync -vsync (49.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
[  1090.956] (II) modeset(0): Modeline "640x360"x119.7   37.25  640 672 736 832  360 361 364 374 doublescan -hsync +vsync (44.8 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x360"x119.7   31.88  640 664 680 720  360 361 364 370 doublescan +hsync -vsync (44.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x360"x59.8   18.00  640 664 720 800  360 363 368 376 -hsync +vsync (22.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x360"x59.3   17.75  640 688 720 800  360 363 368 374 +hsync -vsync (22.2 kHz d)
[  1090.956] (II) modeset(0): Modeline "640x350"x59.8   17.52  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
[  1090.956] (II) modeset(0): Modeline "512x384"x120.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[  1090.956] (II) modeset(0): Modeline "512x288"x120.0   23.25  512 532 580 648  288 289 292 299 doublescan -hsync +vsync (35.9 kHz d)
[  1090.956] (II) modeset(0): Modeline "512x288"x119.8   21.00  512 536 552 592  288 289 292 296 doublescan +hsync -vsync (35.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "480x270"x119.3   20.38  480 496 544 608  270 271 274 281 doublescan -hsync +vsync (33.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "480x270"x119.6   18.62  480 504 520 560  270 271 274 278 doublescan +hsync -vsync (33.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "400x300"x120.6   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[  1090.956] (II) modeset(0): Modeline "400x300"x112.7   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[  1090.956] (II) modeset(0): Modeline "432x243"x119.8   16.25  432 444 484 536  243 244 247 253 doublescan -hsync +vsync (30.3 kHz d)
[  1090.956] (II) modeset(0): Modeline "432x243"x119.1   15.25  432 456 472 512  243 244 247 250 doublescan +hsync -vsync (29.8 kHz d)
[  1090.956] (II) modeset(0): Modeline "320x240"x120.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "360x202"x119.0   11.25  360 372 404 448  202 204 206 211 doublescan -hsync +vsync (25.1 kHz d)
[  1090.956] (II) modeset(0): Modeline "360x202"x118.3   10.88  360 384 400 440  202 204 206 209 doublescan +hsync -vsync (24.7 kHz d)
[  1090.956] (II) modeset(0): Modeline "320x180"x119.7    9.00  320 332 360 400  180 181 184 188 doublescan -hsync +vsync (22.5 kHz d)
[  1090.956] (II) modeset(0): Modeline "320x180"x118.6    8.88  320 344 360 400  180 181 184 187 doublescan +hsync -vsync (22.2 kHz d)
[  1090.956] (II) modeset(0): Output DP-1 disconnected
[  1090.956] (II) modeset(0): Output DP-2 disconnected
[  1090.956] (II) modeset(0): Output DP-3 disconnected
[  1090.956] (II) modeset(0): Output eDP-1 connected
[  1090.956] (II) modeset(0): Using exact sizes for initial modes
[  1090.956] (II) modeset(0): Output eDP-1 using initial mode 1920x1080 +0+0
[  1090.956] (==) modeset(0): Using gamma correction (1.0, 1.0, 1.0)
[  1090.956] (==) modeset(0): DPI set to (96, 96)
[  1090.956] (II) Loading sub module "fb"
[  1090.956] (II) LoadModule: "fb"
[  1090.956] (II) Loading /usr/lib64/xorg/modules/libfb.so
[  1090.956] (II) Module fb: vendor="X.Org Foundation"
[  1090.956] 	compiled for 1.20.4, module version = 1.0.0
[  1090.956] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  1090.956] (II) UnloadModule: "fbdev"
[  1090.956] (II) Unloading fbdev
[  1090.956] (II) UnloadSubModule: "fbdevhw"
[  1090.957] (II) Unloading fbdevhw
[  1090.957] (II) UnloadModule: "vesa"
[  1090.957] (II) Unloading vesa
[  1090.968] (==) modeset(0): Backing store enabled
[  1090.968] (==) modeset(0): Silken mouse enabled
[  1090.971] (II) modeset(0): Initializing kms color map for depth 24, 8 bpc.
[  1090.971] (==) modeset(0): DPMS enabled
[  1090.972] (II) modeset(0): [DRI2] Setup complete
[  1090.972] (II) modeset(0): [DRI2]   DRI driver: nouveau
[  1090.972] (II) modeset(0): [DRI2]   VDPAU driver: nouveau
[  1090.972] (II) Initializing extension Generic Event Extension
[  1090.972] (II) Initializing extension SHAPE
[  1090.972] (II) Initializing extension MIT-SHM
[  1090.972] (II) Initializing extension XInputExtension
[  1090.972] (II) Initializing extension XTEST
[  1090.972] (II) Initializing extension BIG-REQUESTS
[  1090.972] (II) Initializing extension SYNC
[  1090.972] (II) Initializing extension XKEYBOARD
[  1090.972] (II) Initializing extension XC-MISC
[  1090.972] (II) Initializing extension XFIXES
[  1090.972] (II) Initializing extension RENDER
[  1090.973] (II) Initializing extension RANDR
[  1090.973] (II) Initializing extension COMPOSITE
[  1090.973] (II) Initializing extension DAMAGE
[  1090.973] (II) Initializing extension MIT-SCREEN-SAVER
[  1090.973] (II) Initializing extension DOUBLE-BUFFER
[  1090.973] (II) Initializing extension RECORD
[  1090.973] (II) Initializing extension DPMS
[  1090.973] (II) Initializing extension Present
[  1090.973] (II) Initializing extension DRI3
[  1090.973] (II) Initializing extension X-Resource
[  1090.973] (II) Initializing extension XVideo
[  1090.973] (II) Initializing extension XVideo-MotionCompensation
[  1090.973] (II) Initializing extension SELinux
[  1090.974] (II) SELinux: Disabled by boolean
[  1090.974] (II) Initializing extension GLX
[  1090.976] (II) AIGLX: Loaded and initialized nouveau
[  1090.976] (II) GLX: Initialized DRI2 GL provider for screen 0
[  1090.976] (II) Initializing extension XFree86-VidModeExtension
[  1090.977] (II) Initializing extension XFree86-DGA
[  1090.977] (II) Initializing extension XFree86-DRI
[  1090.977] (II) Initializing extension DRI2
[  1090.978] (II) modeset(0): Damage tracking initialized
[  1090.978] (II) modeset(0): Setting screen physical size to 508 x 285
[  1091.005] (II) config/udev: Adding input device Power Button (/dev/input/event2)
[  1091.005] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[  1091.005] (**) Power Button: Applying InputClass "libinput keyboard catchall"
[  1091.005] (**) Power Button: Applying InputClass "system-keyboard"
[  1091.005] (II) LoadModule: "libinput"
[  1091.005] (II) Loading /usr/lib64/xorg/modules/input/libinput_drv.so
[  1091.009] (II) Module libinput: vendor="X.Org Foundation"
[  1091.009] 	compiled for 1.20.3, module version = 0.28.2
[  1091.009] 	Module class: X.Org XInput Driver
[  1091.009] 	ABI class: X.Org XInput driver, version 24.1
[  1091.009] (II) Using input driver 'libinput' for 'Power Button'
[  1091.010] (II) systemd-logind: got fd for /dev/input/event2 13:66 fd 26 paused 0
[  1091.010] (**) Power Button: always reports core events
[  1091.010] (**) Option "Device" "/dev/input/event2"
[  1091.010] (**) Option "_source" "server/udev"
[  1091.011] (II) event2  - Power Button: is tagged by udev as: Keyboard
[  1091.011] (II) event2  - Power Button: device is a keyboard
[  1091.011] (II) event2  - Power Button: device removed
[  1091.011] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input2/event2"
[  1091.011] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[  1091.011] (**) Option "xkb_layout" "us"
[  1091.012] (II) event2  - Power Button: is tagged by udev as: Keyboard
[  1091.012] (II) event2  - Power Button: device is a keyboard
[  1091.012] (II) config/udev: Adding input device Video Bus (/dev/input/event6)
[  1091.012] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[  1091.012] (**) Video Bus: Applying InputClass "libinput keyboard catchall"
[  1091.012] (**) Video Bus: Applying InputClass "system-keyboard"
[  1091.012] (II) Using input driver 'libinput' for 'Video Bus'
[  1091.013] (II) systemd-logind: got fd for /dev/input/event6 13:70 fd 29 paused 0
[  1091.013] (**) Video Bus: always reports core events
[  1091.013] (**) Option "Device" "/dev/input/event6"
[  1091.013] (**) Option "_source" "server/udev"
[  1091.013] (II) event6  - Video Bus: is tagged by udev as: Keyboard
[  1091.013] (II) event6  - Video Bus: device is a keyboard
[  1091.013] (II) event6  - Video Bus: device removed
[  1091.014] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:06/LNXVIDEO:00/input/input12/event6"
[  1091.014] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[  1091.014] (**) Option "xkb_layout" "us"
[  1091.014] (II) event6  - Video Bus: is tagged by udev as: Keyboard
[  1091.014] (II) event6  - Video Bus: device is a keyboard
[  1091.015] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[  1091.015] (II) No input driver specified, ignoring this device.
[  1091.015] (II) This device may have been added with another device file.
[  1091.015] (II) config/udev: Adding input device Sleep Button (/dev/input/event0)
[  1091.015] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[  1091.015] (**) Sleep Button: Applying InputClass "libinput keyboard catchall"
[  1091.015] (**) Sleep Button: Applying InputClass "system-keyboard"
[  1091.015] (II) Using input driver 'libinput' for 'Sleep Button'
[  1091.016] (II) systemd-logind: got fd for /dev/input/event0 13:64 fd 30 paused 0
[  1091.016] (**) Sleep Button: always reports core events
[  1091.016] (**) Option "Device" "/dev/input/event0"
[  1091.016] (**) Option "_source" "server/udev"
[  1091.016] (II) event0  - Sleep Button: is tagged by udev as: Keyboard
[  1091.016] (II) event0  - Sleep Button: device is a keyboard
[  1091.017] (II) event0  - Sleep Button: device removed
[  1091.017] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input0/event0"
[  1091.017] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 8)
[  1091.017] (**) Option "xkb_layout" "us"
[  1091.017] (II) event0  - Sleep Button: is tagged by udev as: Keyboard
[  1091.017] (II) event0  - Sleep Button: device is a keyboard
[  1091.018] (II) config/udev: Adding input device HP HD Camera: HP HD Camera (/dev/input/event11)
[  1091.018] (**) HP HD Camera: HP HD Camera: Applying InputClass "evdev keyboard catchall"
[  1091.018] (**) HP HD Camera: HP HD Camera: Applying InputClass "libinput keyboard catchall"
[  1091.018] (**) HP HD Camera: HP HD Camera: Applying InputClass "system-keyboard"
[  1091.018] (II) Using input driver 'libinput' for 'HP HD Camera: HP HD Camera'
[  1091.019] (II) systemd-logind: got fd for /dev/input/event11 13:75 fd 31 paused 0
[  1091.019] (**) HP HD Camera: HP HD Camera: always reports core events
[  1091.019] (**) Option "Device" "/dev/input/event11"
[  1091.019] (**) Option "_source" "server/udev"
[  1091.020] (II) event11 - HP HD Camera: HP HD Camera: is tagged by udev as: Keyboard
[  1091.020] (II) event11 - HP HD Camera: HP HD Camera: device is a keyboard
[  1091.020] (II) event11 - HP HD Camera: HP HD Camera: device removed
[  1091.020] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-7/1-7:1.0/input/input17/event11"
[  1091.020] (II) XINPUT: Adding extended input device "HP HD Camera: HP HD Camera" (type: KEYBOARD, id 9)
[  1091.020] (**) Option "xkb_layout" "us"
[  1091.021] (II) event11 - HP HD Camera: HP HD Camera: is tagged by udev as: Keyboard
[  1091.021] (II) event11 - HP HD Camera: HP HD Camera: device is a keyboard
[  1091.021] (II) config/udev: Adding input device HDA Intel PCH Mic (/dev/input/event8)
[  1091.021] (II) No input driver specified, ignoring this device.
[  1091.021] (II) This device may have been added with another device file.
[  1091.022] (II) config/udev: Adding input device HDA Intel PCH Headphone (/dev/input/event9)
[  1091.022] (II) No input driver specified, ignoring this device.
[  1091.022] (II) This device may have been added with another device file.
[  1091.022] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event3)
[  1091.022] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[  1091.022] (**) AT Translated Set 2 keyboard: Applying InputClass "libinput keyboard catchall"
[  1091.022] (**) AT Translated Set 2 keyboard: Applying InputClass "system-keyboard"
[  1091.022] (II) Using input driver 'libinput' for 'AT Translated Set 2 keyboard'
[  1091.023] (II) systemd-logind: got fd for /dev/input/event3 13:67 fd 32 paused 0
[  1091.023] (**) AT Translated Set 2 keyboard: always reports core events
[  1091.023] (**) Option "Device" "/dev/input/event3"
[  1091.023] (**) Option "_source" "server/udev"
[  1091.024] (II) event3  - AT Translated Set 2 keyboard: is tagged by udev as: Keyboard
[  1091.024] (II) event3  - AT Translated Set 2 keyboard: device is a keyboard
[  1091.024] (II) event3  - AT Translated Set 2 keyboard: device removed
[  1091.024] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input3/event3"
[  1091.024] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 10)
[  1091.024] (**) Option "xkb_layout" "us"
[  1091.025] (II) event3  - AT Translated Set 2 keyboard: is tagged by udev as: Keyboard
[  1091.025] (II) event3  - AT Translated Set 2 keyboard: device is a keyboard
[  1091.026] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/event4)
[  1091.026] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer catchall"
[  1091.026] (**) PS/2 Generic Mouse: Applying InputClass "libinput pointer catchall"
[  1091.026] (II) Using input driver 'libinput' for 'PS/2 Generic Mouse'
[  1091.026] (II) systemd-logind: got fd for /dev/input/event4 13:68 fd 33 paused 0
[  1091.027] (**) PS/2 Generic Mouse: always reports core events
[  1091.027] (**) Option "Device" "/dev/input/event4"
[  1091.027] (**) Option "_source" "server/udev"
[  1091.027] (II) event4  - PS/2 Generic Mouse: is tagged by udev as: Mouse
[  1091.027] (II) event4  - PS/2 Generic Mouse: device is a pointer
[  1091.028] (II) event4  - PS/2 Generic Mouse: device removed
[  1091.028] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio2/input/input9/event4"
[  1091.028] (II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE, id 11)
[  1091.028] (**) Option "AccelerationScheme" "none"
[  1091.028] (**) PS/2 Generic Mouse: (accel) selected scheme none/0
[  1091.028] (**) PS/2 Generic Mouse: (accel) acceleration factor: 2.000
[  1091.028] (**) PS/2 Generic Mouse: (accel) acceleration threshold: 4
[  1091.028] (II) event4  - PS/2 Generic Mouse: is tagged by udev as: Mouse
[  1091.028] (II) event4  - PS/2 Generic Mouse: device is a pointer
[  1091.029] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/mouse0)
[  1091.029] (II) No input driver specified, ignoring this device.
[  1091.029] (II) This device may have been added with another device file.
[  1091.029] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event5)
[  1091.029] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[  1091.029] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "libinput touchpad catchall"
[  1091.029] (II) Using input driver 'libinput' for 'SynPS/2 Synaptics TouchPad'
[  1091.030] (II) systemd-logind: got fd for /dev/input/event5 13:69 fd 34 paused 0
[  1091.030] (**) SynPS/2 Synaptics TouchPad: always reports core events
[  1091.030] (**) Option "Device" "/dev/input/event5"
[  1091.030] (**) Option "_source" "server/udev"
[  1091.031] (II) event5  - SynPS/2 Synaptics TouchPad: is tagged by udev as: Touchpad
[  1091.038] (II) event5  - SynPS/2 Synaptics TouchPad: device is a touchpad
[  1091.038] (II) event5  - SynPS/2 Synaptics TouchPad: device removed
[  1091.038] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio3/input/input10/event5"
[  1091.038] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[  1091.038] (**) Option "AccelerationScheme" "none"
[  1091.038] (**) SynPS/2 Synaptics TouchPad: (accel) selected scheme none/0
[  1091.038] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[  1091.038] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[  1091.039] (II) event5  - SynPS/2 Synaptics TouchPad: is tagged by udev as: Touchpad
[  1091.045] (II) event5  - SynPS/2 Synaptics TouchPad: device is a touchpad
[  1091.045] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse1)
[  1091.045] (II) No input driver specified, ignoring this device.
[  1091.045] (II) This device may have been added with another device file.
[  1091.046] (II) config/udev: Adding input device ST LIS3LV02DL Accelerometer (/dev/input/event12)
[  1091.046] (II) No input driver specified, ignoring this device.
[  1091.046] (II) This device may have been added with another device file.
[  1091.046] (II) config/udev: Adding input device ST LIS3LV02DL Accelerometer (/dev/input/js0)
[  1091.046] (II) No input driver specified, ignoring this device.
[  1091.046] (II) This device may have been added with another device file.
[  1091.049] (II) config/udev: Adding input device HP Wireless hotkeys (/dev/input/event7)
[  1091.049] (**) HP Wireless hotkeys: Applying InputClass "evdev keyboard catchall"
[  1091.049] (**) HP Wireless hotkeys: Applying InputClass "libinput keyboard catchall"
[  1091.049] (**) HP Wireless hotkeys: Applying InputClass "system-keyboard"
[  1091.049] (II) Using input driver 'libinput' for 'HP Wireless hotkeys'
[  1091.049] (II) systemd-logind: got fd for /dev/input/event7 13:71 fd 35 paused 0
[  1091.049] (**) HP Wireless hotkeys: always reports core events
[  1091.049] (**) Option "Device" "/dev/input/event7"
[  1091.049] (**) Option "_source" "server/udev"
[  1091.050] (II) event7  - HP Wireless hotkeys: is tagged by udev as: Keyboard
[  1091.050] (II) event7  - HP Wireless hotkeys: device is a keyboard
[  1091.050] (II) event7  - HP Wireless hotkeys: device removed
[  1091.050] (**) Option "config_info" "udev:/sys/devices/virtual/input/input13/event7"
[  1091.050] (II) XINPUT: Adding extended input device "HP Wireless hotkeys" (type: KEYBOARD, id 13)
[  1091.050] (**) Option "xkb_layout" "us"
[  1091.050] (II) event7  - HP Wireless hotkeys: is tagged by udev as: Keyboard
[  1091.050] (II) event7  - HP Wireless hotkeys: device is a keyboard
[  1091.051] (II) config/udev: Adding input device HP WMI hotkeys (/dev/input/event10)
[  1091.051] (**) HP WMI hotkeys: Applying InputClass "evdev keyboard catchall"
[  1091.051] (**) HP WMI hotkeys: Applying InputClass "libinput keyboard catchall"
[  1091.051] (**) HP WMI hotkeys: Applying InputClass "system-keyboard"
[  1091.051] (II) Using input driver 'libinput' for 'HP WMI hotkeys'
[  1091.051] (II) systemd-logind: got fd for /dev/input/event10 13:74 fd 36 paused 0
[  1091.051] (**) HP WMI hotkeys: always reports core events
[  1091.051] (**) Option "Device" "/dev/input/event10"
[  1091.051] (**) Option "_source" "server/udev"
[  1091.052] (II) event10 - HP WMI hotkeys: is tagged by udev as: Keyboard Switch
[  1091.052] (II) event10 - HP WMI hotkeys: device is a keyboard
[  1091.052] (II) event10 - HP WMI hotkeys: device removed
[  1091.052] (**) Option "config_info" "udev:/sys/devices/virtual/input/input14/event10"
[  1091.052] (II) XINPUT: Adding extended input device "HP WMI hotkeys" (type: KEYBOARD, id 14)
[  1091.052] (**) Option "xkb_layout" "us"
[  1091.052] (II) event10 - HP WMI hotkeys: is tagged by udev as: Keyboard Switch
[  1091.052] (II) event10 - HP WMI hotkeys: device is a keyboard
[  1091.686] (II) modeset(0): EDID vendor "LGD", prod id 1406
[  1091.686] (II) modeset(0): Printing DDC gathered Modelines:
[  1091.686] (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
[  1093.552] (II) modeset(0): EDID vendor "LGD", prod id 1406
[  1093.552] (II) modeset(0): Printing DDC gathered Modelines:
[  1093.552] (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
[  3810.468] (II) modeset(0): EDID vendor "LGD", prod id 1406
[  3810.468] (II) modeset(0): Printing DDC gathered Modelines:
[  3810.468] (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
[  3822.257] (II) config/udev: Adding input device Plantronics DSP55 Adapter (/dev/input/event13)
[  3822.258] (**) Plantronics DSP55 Adapter: Applying InputClass "evdev keyboard catchall"
[  3822.258] (**) Plantronics DSP55 Adapter: Applying InputClass "libinput keyboard catchall"
[  3822.258] (**) Plantronics DSP55 Adapter: Applying InputClass "system-keyboard"
[  3822.258] (II) Using input driver 'libinput' for 'Plantronics DSP55 Adapter'
[  3822.270] (II) systemd-logind: got fd for /dev/input/event13 13:77 fd 107 paused 0
[  3822.270] (**) Plantronics DSP55 Adapter: always reports core events
[  3822.270] (**) Option "Device" "/dev/input/event13"
[  3822.270] (**) Option "_source" "server/udev"
[  3822.271] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[  3822.271] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[  3822.271] (II) event13 - Plantronics DSP55 Adapter: device removed
[  3822.271] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.3/0003:047F:D055.0002/input/input19/event13"
[  3822.271] (II) XINPUT: Adding extended input device "Plantronics DSP55 Adapter" (type: KEYBOARD, id 15)
[  3822.271] (**) Option "xkb_layout" "us"
[  3822.273] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[  3822.273] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[ 92625.201] (II) config/udev: removing device Plantronics DSP55 Adapter
[ 92625.201] (**) Option "fd" "107"
[ 92625.201] (II) event13 - Plantronics DSP55 Adapter: device removed
[ 92625.202] (II) UnloadModule: "libinput"
[ 92625.203] (II) systemd-logind: releasing fd for 13:77
[ 99767.777] (II) modeset(0): EDID vendor "LGD", prod id 1406
[ 99767.777] (II) modeset(0): Printing DDC gathered Modelines:
[ 99767.777] (II) modeset(0): Modeline "1920x1080"x0.0  138.70  1920 1968 2000 2080  1080 1083 1088 1111 +hsync -vsync (66.7 kHz eP)
[134116.000] (II) modeset(0): Disabling kernel dirty updates, not required.
[446526.734] (II) config/udev: Adding input device Plantronics DSP55 Adapter (/dev/input/event13)
[446526.735] (**) Plantronics DSP55 Adapter: Applying InputClass "evdev keyboard catchall"
[446526.735] (**) Plantronics DSP55 Adapter: Applying InputClass "libinput keyboard catchall"
[446526.735] (**) Plantronics DSP55 Adapter: Applying InputClass "system-keyboard"
[446526.735] (II) Using input driver 'libinput' for 'Plantronics DSP55 Adapter'
[446526.752] (II) systemd-logind: got fd for /dev/input/event13 13:77 fd 115 paused 0
[446526.752] (**) Plantronics DSP55 Adapter: always reports core events
[446526.752] (**) Option "Device" "/dev/input/event13"
[446526.752] (**) Option "_source" "server/udev"
[446526.755] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[446526.755] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[446526.755] (II) event13 - Plantronics DSP55 Adapter: device removed
[446526.755] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.3/0003:047F:D055.0006/input/input20/event13"
[446526.755] (II) XINPUT: Adding extended input device "Plantronics DSP55 Adapter" (type: KEYBOARD, id 15)
[446526.755] (**) Option "xkb_layout" "us"
[446526.757] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[446526.757] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[461669.974] (II) config/udev: removing device Plantronics DSP55 Adapter
[461669.974] (**) Option "fd" "115"
[461669.974] (II) event13 - Plantronics DSP55 Adapter: device removed
[461669.978] (II) UnloadModule: "libinput"
[461669.978] (II) systemd-logind: releasing fd for 13:77
[608174.860] (II) config/udev: Adding input device Plantronics DSP55 Adapter (/dev/input/event13)
[608174.860] (**) Plantronics DSP55 Adapter: Applying InputClass "evdev keyboard catchall"
[608174.860] (**) Plantronics DSP55 Adapter: Applying InputClass "libinput keyboard catchall"
[608174.860] (**) Plantronics DSP55 Adapter: Applying InputClass "system-keyboard"
[608174.860] (II) Using input driver 'libinput' for 'Plantronics DSP55 Adapter'
[608174.880] (II) systemd-logind: got fd for /dev/input/event13 13:77 fd 118 paused 0
[608174.880] (**) Plantronics DSP55 Adapter: always reports core events
[608174.880] (**) Option "Device" "/dev/input/event13"
[608174.880] (**) Option "_source" "server/udev"
[608174.882] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[608174.882] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[608174.882] (II) event13 - Plantronics DSP55 Adapter: device removed
[608174.882] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.3/0003:047F:D055.0008/input/input21/event13"
[608174.882] (II) XINPUT: Adding extended input device "Plantronics DSP55 Adapter" (type: KEYBOARD, id 15)
[608174.882] (**) Option "xkb_layout" "us"
[608174.884] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[608174.884] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[648775.980] (II) config/udev: removing device Plantronics DSP55 Adapter
[648775.980] (**) Option "fd" "118"
[648775.980] (II) event13 - Plantronics DSP55 Adapter: device removed
[648775.985] (II) UnloadModule: "libinput"
[648775.985] (II) systemd-logind: releasing fd for 13:77
[701838.899] (II) config/udev: Adding input device Plantronics DSP55 Adapter (/dev/input/event13)
[701838.900] (**) Plantronics DSP55 Adapter: Applying InputClass "evdev keyboard catchall"
[701838.900] (**) Plantronics DSP55 Adapter: Applying InputClass "libinput keyboard catchall"
[701838.900] (**) Plantronics DSP55 Adapter: Applying InputClass "system-keyboard"
[701838.900] (II) Using input driver 'libinput' for 'Plantronics DSP55 Adapter'
[701838.913] (II) systemd-logind: got fd for /dev/input/event13 13:77 fd 101 paused 0
[701838.913] (**) Plantronics DSP55 Adapter: always reports core events
[701838.913] (**) Option "Device" "/dev/input/event13"
[701838.913] (**) Option "_source" "server/udev"
[701838.915] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[701838.915] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard
[701838.915] (II) event13 - Plantronics DSP55 Adapter: device removed
[701838.915] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:14.0/usb1/1-5/1-5:1.3/0003:047F:D055.0009/input/input22/event13"
[701838.915] (II) XINPUT: Adding extended input device "Plantronics DSP55 Adapter" (type: KEYBOARD, id 15)
[701838.915] (**) Option "xkb_layout" "us"
[701838.917] (II) event13 - Plantronics DSP55 Adapter: is tagged by udev as: Keyboard
[701838.917] (II) event13 - Plantronics DSP55 Adapter: device is a keyboard

Although there is probably nothing new and/or useful here and given the lack of movement, I guess I will just go back to the nvidia driver, unfortunately.
Comment 34 Marc Burkhardt 2019-06-08 14:07:43 UTC
(In reply to Brian J. Murrell from comment #33)

> Although there is probably nothing new and/or useful here and given the lack
> of movement, I guess I will just go back to the nvidia driver, unfortunately.

14 days ago I went back to Nvidia BLOB after almost 3 years of noveau usage. So I at least can use my hardware without the unpredictable interruption which resulted in lost work also. Side effect: also have CUDA/OpenCL now.
Comment 35 Harry Coin 2019-06-26 19:05:04 UTC
On 'disco' aka:
uname -a
Linux ceo1homenx 5.0.0-19-generic #20-Ubuntu SMP Wed Jun 19 17:04:04 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

The following trace shows a nouveau problem, then two mintues later a kernel lock that requires a power cycle to recover from.   This is a system that has two graphics cards with all the available monitor ports (3) used.   These hard lockups happen two to four times per day.  This latest one was under a no load condition.  I walked away from a system with an email and firefox ap up.  An hour or so later I return to a locked system. It's becoming unusable.  Detail:
---

 	#6

This is against disco, crashed not an hour ago. Detail:

Jun 26 12:17:03 ceo1homenx btrbk: finished success - - - -
Jun 26 12:18:21 ceo1homenx systemd[1]: Starting Cleanup of Temporary Directories...
Jun 26 12:18:21 ceo1homenx systemd-tmpfiles[11589]: [/usr/lib/tmpfiles.d/spice-vdagentd.conf:2] Line references path below legacy directory /var/run/, updating /var/run/spice-vdagentd → /run/spice-vdagentd; please update the tmpfiles.d/
 drop-in file accordingly.
Jun 26 12:18:21 ceo1homenx systemd[1]: systemd-tmpfiles-clean.service: Succeeded.
Jun 26 12:18:21 ceo1homenx systemd[1]: Started Cleanup of Temporary Directories.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066176] INFO: task kworker/u16:9:7088 blocked for more than 120 seconds.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066178] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:23:15 ceo1homenx kernel: [87603.066179] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066180] kworker/u16:9 D 0 7088 2 0x80000000
Jun 26 12:23:15 ceo1homenx kernel: [87603.066211] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066211] Call Trace:
Jun 26 12:23:15 ceo1homenx kernel: [87603.066216] __schedule+0x2d0/0x840
Jun 26 12:23:15 ceo1homenx kernel: [87603.066238] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066239] schedule+0x2c/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066240] schedule_timeout+0x258/0x360
Jun 26 12:23:15 ceo1homenx kernel: [87603.066252] ? __drm_crtc_commit_free+0x12/0x20 [drm]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066272] ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066274] dma_fence_default_wait+0x20a/0x280
Jun 26 12:23:15 ceo1homenx kernel: [87603.066275] ? dma_fence_release+0xa0/0xa0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066276] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:23:15 ceo1homenx kernel: [87603.066281] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066301] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066303] ? __switch_to+0x96/0x4e0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066303] ? __switch_to_asm+0x34/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066322] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066324] process_one_work+0x20f/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066325] worker_thread+0x34/0x400
Jun 26 12:23:15 ceo1homenx kernel: [87603.066327] kthread+0x120/0x140
Jun 26 12:23:15 ceo1homenx kernel: [87603.066327] ? process_one_work+0x410/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066329] ? __kthread_parkme+0x70/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066329] ret_from_fork+0x35/0x40
Jun 26 12:23:15 ceo1homenx kernel: [87603.066338] INFO: task kworker/u16:8:9307 blocked for more than 120 seconds.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066339] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:23:15 ceo1homenx kernel: [87603.066340] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066340] kworker/u16:8 D 0 9307 2 0x80000000
Jun 26 12:23:15 ceo1homenx kernel: [87603.066360] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066361] Call Trace:
Jun 26 12:23:15 ceo1homenx kernel: [87603.066362] __schedule+0x2d0/0x840
Jun 26 12:23:15 ceo1homenx kernel: [87603.066381] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066383] schedule+0x2c/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066384] schedule_timeout+0x258/0x360
Jun 26 12:23:15 ceo1homenx kernel: [87603.066385] ? __slab_free+0x225/0x340
Jun 26 12:23:15 ceo1homenx kernel: [87603.066387] dma_fence_default_wait+0x20a/0x280
Jun 26 12:23:15 ceo1homenx kernel: [87603.066387] ? dma_fence_release+0xa0/0xa0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066388] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:23:15 ceo1homenx kernel: [87603.066392] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066411] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066412] ? __switch_to+0x96/0x4e0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066412] ? __switch_to_asm+0x34/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066431] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066431] process_one_work+0x20f/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066432] worker_thread+0x34/0x400
Jun 26 12:23:15 ceo1homenx kernel: [87603.066434] kthread+0x120/0x140
Jun 26 12:23:15 ceo1homenx kernel: [87603.066434] ? process_one_work+0x410/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066436] ? __kthread_parkme+0x70/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066436] ret_from_fork+0x35/0x40
Jun 26 12:23:15 ceo1homenx kernel: [87603.066439] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:23:15 ceo1homenx kernel: [87603.066439] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:23:15 ceo1homenx kernel: [87603.066440] kworker/u16:7 D 0 10297 2 0x80000000
Jun 26 12:23:15 ceo1homenx kernel: [87603.066458] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066459] Call Trace:
Jun 26 12:23:15 ceo1homenx kernel: [87603.066460] __schedule+0x2d0/0x840
Jun 26 12:23:15 ceo1homenx kernel: [87603.066479] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066480] schedule+0x2c/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066481] schedule_timeout+0x258/0x360
Jun 26 12:23:15 ceo1homenx kernel: [87603.066482] ? __slab_free+0x225/0x340
Jun 26 12:23:15 ceo1homenx kernel: [87603.066483] dma_fence_default_wait+0x20a/0x280
Jun 26 12:23:15 ceo1homenx kernel: [87603.066484] ? dma_fence_release+0xa0/0xa0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066485] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:23:15 ceo1homenx kernel: [87603.066489] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066507] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066508] ? __switch_to+0x96/0x4e0
Jun 26 12:23:15 ceo1homenx kernel: [87603.066509] ? __switch_to_asm+0x34/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066527] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:23:15 ceo1homenx kernel: [87603.066528] process_one_work+0x20f/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066529] worker_thread+0x34/0x400
Jun 26 12:23:15 ceo1homenx kernel: [87603.066530] kthread+0x120/0x140
Jun 26 12:23:15 ceo1homenx kernel: [87603.066531] ? process_one_work+0x410/0x410
Jun 26 12:23:15 ceo1homenx kernel: [87603.066532] ? __kthread_parkme+0x70/0x70
Jun 26 12:23:15 ceo1homenx kernel: [87603.066533] ret_from_fork+0x35/0x40
Jun 26 12:25:01 ceo1homenx CRON[11952]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 12:25:16 ceo1homenx kernel: [87723.895077] INFO: task kworker/u16:9:7088 blocked for more than 120 seconds.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895079] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:25:16 ceo1homenx kernel: [87723.895079] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895080] kworker/u16:9 D 0 7088 2 0x80000000
Jun 26 12:25:16 ceo1homenx kernel: [87723.895111] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895112] Call Trace:
Jun 26 12:25:16 ceo1homenx kernel: [87723.895115] __schedule+0x2d0/0x840
Jun 26 12:25:16 ceo1homenx kernel: [87723.895138] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895139] schedule+0x2c/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895141] schedule_timeout+0x258/0x360
Jun 26 12:25:16 ceo1homenx kernel: [87723.895152] ? __drm_crtc_commit_free+0x12/0x20 [drm]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895173] ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895174] dma_fence_default_wait+0x20a/0x280
Jun 26 12:25:16 ceo1homenx kernel: [87723.895175] ? dma_fence_release+0xa0/0xa0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895176] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:25:16 ceo1homenx kernel: [87723.895182] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895201] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895203] ? __switch_to+0x96/0x4e0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895204] ? __switch_to_asm+0x34/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895223] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895225] process_one_work+0x20f/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895226] worker_thread+0x34/0x400
Jun 26 12:25:16 ceo1homenx kernel: [87723.895227] kthread+0x120/0x140
Jun 26 12:25:16 ceo1homenx kernel: [87723.895228] ? process_one_work+0x410/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895229] ? __kthread_parkme+0x70/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895230] ret_from_fork+0x35/0x40
Jun 26 12:25:16 ceo1homenx kernel: [87723.895239] INFO: task kworker/u16:8:9307 blocked for more than 120 seconds.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895240] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:25:16 ceo1homenx kernel: [87723.895241] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895241] kworker/u16:8 D 0 9307 2 0x80000000
Jun 26 12:25:16 ceo1homenx kernel: [87723.895261] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895262] Call Trace:
Jun 26 12:25:16 ceo1homenx kernel: [87723.895263] __schedule+0x2d0/0x840
Jun 26 12:25:16 ceo1homenx kernel: [87723.895283] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895284] schedule+0x2c/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895285] schedule_timeout+0x258/0x360
Jun 26 12:25:16 ceo1homenx kernel: [87723.895287] ? __slab_free+0x225/0x340
Jun 26 12:25:16 ceo1homenx kernel: [87723.895288] dma_fence_default_wait+0x20a/0x280
Jun 26 12:25:16 ceo1homenx kernel: [87723.895289] ? dma_fence_release+0xa0/0xa0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895290] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:25:16 ceo1homenx kernel: [87723.895294] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895312] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895313] ? __switch_to+0x96/0x4e0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895314] ? __switch_to_asm+0x34/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895333] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895334] process_one_work+0x20f/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895335] worker_thread+0x34/0x400
Jun 26 12:25:16 ceo1homenx kernel: [87723.895336] kthread+0x120/0x140
Jun 26 12:25:16 ceo1homenx kernel: [87723.895337] ? process_one_work+0x410/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895338] ? __kthread_parkme+0x70/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895338] ret_from_fork+0x35/0x40
Jun 26 12:25:16 ceo1homenx kernel: [87723.895340] INFO: task kworker/u16:7:10297 blocked for more than 120 seconds.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895341] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:25:16 ceo1homenx kernel: [87723.895341] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:25:16 ceo1homenx kernel: [87723.895342] kworker/u16:7 D 0 10297 2 0x80000000
Jun 26 12:25:16 ceo1homenx kernel: [87723.895361] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895361] Call Trace:
Jun 26 12:25:16 ceo1homenx kernel: [87723.895363] __schedule+0x2d0/0x840
Jun 26 12:25:16 ceo1homenx kernel: [87723.895381] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895382] schedule+0x2c/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895383] schedule_timeout+0x258/0x360
Jun 26 12:25:16 ceo1homenx kernel: [87723.895385] ? __slab_free+0x225/0x340
Jun 26 12:25:16 ceo1homenx kernel: [87723.895386] dma_fence_default_wait+0x20a/0x280
Jun 26 12:25:16 ceo1homenx kernel: [87723.895387] ? dma_fence_release+0xa0/0xa0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895388] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:25:16 ceo1homenx kernel: [87723.895391] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895410] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895411] ? __switch_to+0x96/0x4e0
Jun 26 12:25:16 ceo1homenx kernel: [87723.895411] ? __switch_to_asm+0x34/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895430] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:25:16 ceo1homenx kernel: [87723.895431] process_one_work+0x20f/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895431] worker_thread+0x34/0x400
Jun 26 12:25:16 ceo1homenx kernel: [87723.895433] kthread+0x120/0x140
Jun 26 12:25:16 ceo1homenx kernel: [87723.895433] ? process_one_work+0x410/0x410
Jun 26 12:25:16 ceo1homenx kernel: [87723.895435] ? __kthread_parkme+0x70/0x70
Jun 26 12:25:16 ceo1homenx kernel: [87723.895435] ret_from_fork+0x35/0x40
Jun 26 12:27:17 ceo1homenx kernel: [87844.724604] INFO: task kworker/u16:9:7088 blocked for more than 120 seconds.
Jun 26 12:27:17 ceo1homenx kernel: [87844.724611] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:27:17 ceo1homenx kernel: [87844.724614] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:27:17 ceo1homenx kernel: [87844.724617] kworker/u16:9 D 0 7088 2 0x80000000
Jun 26 12:27:17 ceo1homenx kernel: [87844.724736] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.724739] Call Trace:
Jun 26 12:27:17 ceo1homenx kernel: [87844.724752] __schedule+0x2d0/0x840
Jun 26 12:27:17 ceo1homenx kernel: [87844.724856] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.724862] schedule+0x2c/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.724868] schedule_timeout+0x258/0x360
Jun 26 12:27:17 ceo1homenx kernel: [87844.724907] ? __drm_crtc_commit_free+0x12/0x20 [drm]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725005] ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725012] dma_fence_default_wait+0x20a/0x280
Jun 26 12:27:17 ceo1homenx kernel: [87844.725017] ? dma_fence_release+0xa0/0xa0
Jun 26 12:27:17 ceo1homenx kernel: [87844.725022] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:27:17 ceo1homenx kernel: [87844.725041] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725136] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725141] ? __switch_to+0x96/0x4e0
Jun 26 12:27:17 ceo1homenx kernel: [87844.725145] ? __switch_to_asm+0x34/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.725237] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725243] process_one_work+0x20f/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.725247] worker_thread+0x34/0x400
Jun 26 12:27:17 ceo1homenx kernel: [87844.725254] kthread+0x120/0x140
Jun 26 12:27:17 ceo1homenx kernel: [87844.725258] ? process_one_work+0x410/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.725263] ? __kthread_parkme+0x70/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.725267] ret_from_fork+0x35/0x40
Jun 26 12:27:17 ceo1homenx kernel: [87844.725291] INFO: task kworker/u16:8:9307 blocked for more than 120 seconds.
Jun 26 12:27:17 ceo1homenx kernel: [87844.725296] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:27:17 ceo1homenx kernel: [87844.725298] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:27:17 ceo1homenx kernel: [87844.725301] kworker/u16:8 D 0 9307 2 0x80000000
Jun 26 12:27:17 ceo1homenx kernel: [87844.725396] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725398] Call Trace:
Jun 26 12:27:17 ceo1homenx kernel: [87844.725405] __schedule+0x2d0/0x840
Jun 26 12:27:17 ceo1homenx kernel: [87844.725495] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725502] schedule+0x2c/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.725507] schedule_timeout+0x258/0x360
Jun 26 12:27:17 ceo1homenx kernel: [87844.725514] ? __slab_free+0x225/0x340
Jun 26 12:27:17 ceo1homenx kernel: [87844.725519] dma_fence_default_wait+0x20a/0x280
Jun 26 12:27:17 ceo1homenx kernel: [87844.725523] ? dma_fence_release+0xa0/0xa0
Jun 26 12:27:17 ceo1homenx kernel: [87844.725528] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:27:17 ceo1homenx kernel: [87844.725546] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725635] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725639] ? __switch_to+0x96/0x4e0
Jun 26 12:27:17 ceo1homenx kernel: [87844.725643] ? __switch_to_asm+0x34/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.725732] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725736] process_one_work+0x20f/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.725741] worker_thread+0x34/0x400
Jun 26 12:27:17 ceo1homenx kernel: [87844.725746] kthread+0x120/0x140
Jun 26 12:27:17 ceo1homenx kernel: [87844.725750] ? process_one_work+0x410/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.725755] ? __kthread_parkme+0x70/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.725759] ret_from_fork+0x35/0x40
Jun 26 12:27:17 ceo1homenx kernel: [87844.725765] INFO: task kworker/u16:7:10297 blocked for more than 120 seconds.
Jun 26 12:27:17 ceo1homenx kernel: [87844.725769] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:27:17 ceo1homenx kernel: [87844.725771] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:27:17 ceo1homenx kernel: [87844.725774] kworker/u16:7 D 0 10297 2 0x80000000
Jun 26 12:27:17 ceo1homenx kernel: [87844.725885] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.725890] Call Trace:
Jun 26 12:27:17 ceo1homenx kernel: [87844.725902] __schedule+0x2d0/0x840
Jun 26 12:27:17 ceo1homenx kernel: [87844.726014] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.726022] schedule+0x2c/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.726029] schedule_timeout+0x258/0x360
Jun 26 12:27:17 ceo1homenx kernel: [87844.726038] ? __slab_free+0x225/0x340
Jun 26 12:27:17 ceo1homenx kernel: [87844.726044] dma_fence_default_wait+0x20a/0x280
Jun 26 12:27:17 ceo1homenx kernel: [87844.726050] ? dma_fence_release+0xa0/0xa0
Jun 26 12:27:17 ceo1homenx kernel: [87844.726056] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:27:17 ceo1homenx kernel: [87844.726075] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:27:17 ceo1homenx kernel: [87844.726165] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.726169] ? __switch_to+0x96/0x4e0
Jun 26 12:27:17 ceo1homenx kernel: [87844.726172] ? __switch_to_asm+0x34/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.726260] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:27:17 ceo1homenx kernel: [87844.726265] process_one_work+0x20f/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.726269] worker_thread+0x34/0x400
Jun 26 12:27:17 ceo1homenx kernel: [87844.726276] kthread+0x120/0x140
Jun 26 12:27:17 ceo1homenx kernel: [87844.726279] ? process_one_work+0x410/0x410
Jun 26 12:27:17 ceo1homenx kernel: [87844.726285] ? __kthread_parkme+0x70/0x70
Jun 26 12:27:17 ceo1homenx kernel: [87844.726288] ret_from_fork+0x35/0x40
Jun 26 12:29:18 ceo1homenx kernel: [87965.557909] INFO: task kworker/u16:9:7088 blocked for more than 120 seconds.
Jun 26 12:29:18 ceo1homenx kernel: [87965.557916] Tainted: G W 5.0.0-19-generic #20-Ubuntu
Jun 26 12:29:18 ceo1homenx kernel: [87965.557919] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Jun 26 12:29:18 ceo1homenx kernel: [87965.557922] kworker/u16:9 D 0 7088 2 0x80000000
Jun 26 12:29:18 ceo1homenx kernel: [87965.558041] Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558044] Call Trace:
Jun 26 12:29:18 ceo1homenx kernel: [87965.558056] __schedule+0x2d0/0x840
Jun 26 12:29:18 ceo1homenx kernel: [87965.558160] ? nouveau_display_scanoutpos+0xe9/0x180 [nouveau]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558167] schedule+0x2c/0x70
Jun 26 12:29:18 ceo1homenx kernel: [87965.558172] schedule_timeout+0x258/0x360
Jun 26 12:29:18 ceo1homenx kernel: [87965.558213] ? __drm_crtc_commit_free+0x12/0x20 [drm]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558309] ? nv50_wndw_atomic_destroy_state+0x1d/0x20 [nouveau]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558316] dma_fence_default_wait+0x20a/0x280
Jun 26 12:29:18 ceo1homenx kernel: [87965.558320] ? dma_fence_release+0xa0/0xa0
Jun 26 12:29:18 ceo1homenx kernel: [87965.558325] dma_fence_wait_timeout+0xe7/0x110
Jun 26 12:29:18 ceo1homenx kernel: [87965.558344] drm_atomic_helper_wait_for_fences+0x3f/0xc0 [drm_kms_helper]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558437] nv50_disp_atomic_commit_tail+0x78/0x870 [nouveau]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558443] ? __switch_to+0x96/0x4e0
Jun 26 12:29:18 ceo1homenx kernel: [87965.558446] ? __switch_to_asm+0x34/0x70
Jun 26 12:29:18 ceo1homenx kernel: [87965.558536] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 26 12:29:18 ceo1homenx kernel: [87965.558542] process_one_work+0x20f/0x410
Jun 26 12:29:18 ceo1homenx kernel: [87965.558547] worker_thread+0x34/0x400
Jun 26 12:29:18 ceo1homenx kernel: [87965.558553] kthread+0x120/0x140
Jun 26 12:29:18 ceo1homenx kernel: [87965.558557] ? process_one_work+0x410/0x410
Jun 26 12:29:18 ceo1homenx kernel: [87965.558563] ? __kthread_parkme+0x70/0x70
Jun 26 12:29:18 ceo1homenx kernel: [87965.558567] ret_from_fork+0x35/0x40
Jun 26 12:30:01 ceo1homenx CRON[12207]: (root) CMD ([ -x /etc/init.d/anacron ] && if [ ! -d /run/systemd/system ]; then /usr/sbin/invoke-rc.d anacron start >/dev/null; fi)
Jun 26 12:33:21 ceo1homenx systemd[1]: Started Run anacron jobs.
Jun 26 12:33:21 ceo1homenx anacron[12372]: Anacron 2.3 started on 2019-06-26
Jun 26 12:33:21 ceo1homenx anacron[12372]: Normal exit (0 jobs run)
Jun 26 12:33:21 ceo1homenx systemd[1]: anacron.service: Succeeded.
Jun 26 12:35:02 ceo1homenx CRON[12477]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 12:39:01 ceo1homenx systemd[1]: Starting Clean php session files...
Jun 26 12:39:01 ceo1homenx CRON[12710]: (root) CMD ( [ -x /usr/lib/php/sessionclean ] && if [ ! -d /run/systemd/system ]; then /usr/lib/php/sessionclean; fi)
Jun 26 12:39:01 ceo1homenx systemd[1]: phpsessionclean.service: Succeeded.
Jun 26 12:39:01 ceo1homenx systemd[1]: Started Clean php session files.
Jun 26 12:45:02 ceo1homenx CRON[13049]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 12:55:02 ceo1homenx CRON[13571]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 12:56:20 ceo1homenx kernel: [89587.485877] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx kernel: [89591.781878] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Jun 26 12:56:24 ceo1homenx kernel: [89591.781897] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Jun 26 12:56:24 ceo1homenx kernel: [89591.781918] nouveau 0000:01:00.0: fifo: channel 5: killed
Jun 26 12:56:24 ceo1homenx kernel: [89591.781926] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Jun 26 12:56:24 ceo1homenx kernel: [89591.782531] nouveau 0000:01:00.0: Xorg[3086]: channel 5 killed!
Jun 26 12:56:24 ceo1homenx kernel: [89591.784954] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx kernel: [89591.787346] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx kernel: [89591.791222] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx kernel: [89591.799169] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx kernel: [89591.799874] nouveau 0000:01:00.0: fifo: PBDMA0: 04000000 [ACQUIRE] ch 2 [007fa99000 Xorg[3086]] subc 0 mthd 001c data 00001004
Jun 26 12:56:24 ceo1homenx dbus-daemon[1027]: [system] Activating via systemd: service name='org.freedesktop.PackageKit' unit='packagekit.service' requested by ':1.270' (uid=1000 pid=3346 comm="/usr/bin/plasmashell " label="unconfined")
Jun 26 12:56:24 ceo1homenx systemd[1]: Starting PackageKit Daemon...
Jun 26 12:56:24 ceo1homenx PackageKit: daemon start
Jun 26 12:56:24 ceo1homenx dbus-daemon[1027]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun 26 12:56:24 ceo1homenx systemd[1]: Started PackageKit Daemon.
Jun 26 13:01:30 ceo1homenx PackageKit: daemon quit
Jun 26 13:01:30 ceo1homenx systemd[1]: packagekit.service: Main process exited, code=killed, status=15/TERM
Jun 26 13:01:30 ceo1homenx systemd[1]: packagekit.service: Succeeded.
Jun 26 13:05:01 ceo1homenx CRON[14159]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 13:09:02 ceo1homenx systemd[1]: Starting Clean php session files...
Jun 26 13:09:02 ceo1homenx CRON[14381]: (root) CMD ( [ -x /usr/lib/php/sessionclean ] && if [ ! -d /run/systemd/system ]; then /usr/lib/php/sessionclean; fi)
Jun 26 13:09:02 ceo1homenx systemd[1]: phpsessionclean.service: Succeeded.
Jun 26 13:09:02 ceo1homenx systemd[1]: Started Clean php session files.
Jun 26 13:15:02 ceo1homenx CRON[14748]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jun 26 13:17:01 ceo1homenx CRON[14851]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jun 26 13:17:01 ceo1homenx btrbk: startup v0.27.1 - - - # btrbk command line client, version 0.27.1
Jun 26 13:17:01 ceo1homenx btrbk: snapshot starting /snapshots/home_snapshots/@home.20190626T1317 /snapshots/@home - -
Jun 26 13:17:03 ceo1homenx btrbk: snapshot success /snapshots/home_snapshots/@home.20190626T1317 /snapshots/@home - -
Jun 26 13:17:03 ceo1homenx btrbk: delete_snapshot starting /snapshots/home_snapshots/@home.20190622T1217 - - -
Jun 26 13:17:03 ceo1homenx btrbk: delete_snapshot success /snapshots/home_snapshots/@home.20190622T1217 - - -
Jun 26 13:17:03 ceo1homenx btrbk: finished success - - - -

-- Hard Lock-- power cycle reboot the only possible fix.
Comment 36 Harry Coin 2019-07-21 15:12:33 UTC
And here's another hard lock from this morning.  Much shorter syslog trace

$ uname -a
Linux ceo1homenx 5.2.0-8-generic #9-Ubuntu SMP Mon Jul 8 13:07:27 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

Jul 21 09:39:02 ceo1homenx systemd[1]: phpsessionclean.service: Succeeded.
Jul 21 09:39:02 ceo1homenx systemd[1]: Started Clean php session files.
Jul 21 09:45:02 ceo1homenx CRON[27199]: (root) CMD (command -v debian-sa1 > /dev/null && debian-sa1 1 1)
Jul 21 09:45:20 ceo1homenx kernel: [89849.919490] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Jul 21 09:45:20 ceo1homenx kernel: [89849.919500] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Jul 21 09:45:20 ceo1homenx kernel: [89849.919506] nouveau 0000:01:00.0: fifo: channel 8: killed
Jul 21 09:45:20 ceo1homenx kernel: [89849.919511] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Jul 21 09:45:20 ceo1homenx kernel: [89849.919815] nouveau 0000:01:00.0: Xorg[1546]: channel 8 killed!

-- hard lock -- No numlock/capslock,  system power button ineffective only power-cycle works to restore operations.
Comment 37 Harry Coin 2019-07-21 15:18:00 UTC
Modinfo detail FYI:
modinfo nouveau
filename:       /lib/modules/5.2.0-8-generic/kernel/drivers/gpu/drm/nouveau/nouveau.ko
firmware:       nvidia/gp100/gr/sw_method_init.bin
firmware:       nvidia/gp100/gr/sw_bundle_init.bin
firmware:       nvidia/gp100/gr/sw_nonctx.bin
firmware:       nvidia/gp100/gr/sw_ctx.bin
firmware:       nvidia/gp100/gr/gpccs_sig.bin
firmware:       nvidia/gp100/gr/gpccs_data.bin
firmware:       nvidia/gp100/gr/gpccs_inst.bin
firmware:       nvidia/gp100/gr/gpccs_bl.bin
firmware:       nvidia/gp100/gr/fecs_sig.bin
firmware:       nvidia/gp100/gr/fecs_data.bin
firmware:       nvidia/gp100/gr/fecs_inst.bin
firmware:       nvidia/gp100/gr/fecs_bl.bin
firmware:       nvidia/gp100/acr/ucode_unload.bin
firmware:       nvidia/gp100/acr/ucode_load.bin
firmware:       nvidia/gp100/acr/bl.bin
firmware:       nvidia/gm206/gr/sw_method_init.bin
firmware:       nvidia/gm206/gr/sw_bundle_init.bin
firmware:       nvidia/gm206/gr/sw_nonctx.bin
firmware:       nvidia/gm206/gr/sw_ctx.bin
firmware:       nvidia/gm206/gr/gpccs_sig.bin
firmware:       nvidia/gm206/gr/gpccs_data.bin
firmware:       nvidia/gm206/gr/gpccs_inst.bin
firmware:       nvidia/gm206/gr/gpccs_bl.bin
firmware:       nvidia/gm206/gr/fecs_sig.bin
firmware:       nvidia/gm206/gr/fecs_data.bin
firmware:       nvidia/gm206/gr/fecs_inst.bin
firmware:       nvidia/gm206/gr/fecs_bl.bin
firmware:       nvidia/gm206/acr/ucode_unload.bin
firmware:       nvidia/gm206/acr/ucode_load.bin
firmware:       nvidia/gm206/acr/bl.bin
firmware:       nvidia/gm204/gr/sw_method_init.bin
firmware:       nvidia/gm204/gr/sw_bundle_init.bin
firmware:       nvidia/gm204/gr/sw_nonctx.bin
firmware:       nvidia/gm204/gr/sw_ctx.bin
firmware:       nvidia/gm204/gr/gpccs_sig.bin
firmware:       nvidia/gm204/gr/gpccs_data.bin
firmware:       nvidia/gm204/gr/gpccs_inst.bin
firmware:       nvidia/gm204/gr/gpccs_bl.bin
firmware:       nvidia/gm204/gr/fecs_sig.bin
firmware:       nvidia/gm204/gr/fecs_data.bin
firmware:       nvidia/gm204/gr/fecs_inst.bin
firmware:       nvidia/gm204/gr/fecs_bl.bin
firmware:       nvidia/gm204/acr/ucode_unload.bin
firmware:       nvidia/gm204/acr/ucode_load.bin
firmware:       nvidia/gm204/acr/bl.bin
firmware:       nvidia/gm200/gr/sw_method_init.bin
firmware:       nvidia/gm200/gr/sw_bundle_init.bin
firmware:       nvidia/gm200/gr/sw_nonctx.bin
firmware:       nvidia/gm200/gr/sw_ctx.bin
firmware:       nvidia/gm200/gr/gpccs_sig.bin
firmware:       nvidia/gm200/gr/gpccs_data.bin
firmware:       nvidia/gm200/gr/gpccs_inst.bin
firmware:       nvidia/gm200/gr/gpccs_bl.bin
firmware:       nvidia/gm200/gr/fecs_sig.bin
firmware:       nvidia/gm200/gr/fecs_data.bin
firmware:       nvidia/gm200/gr/fecs_inst.bin
firmware:       nvidia/gm200/gr/fecs_bl.bin
firmware:       nvidia/gm200/acr/ucode_unload.bin
firmware:       nvidia/gm200/acr/ucode_load.bin
firmware:       nvidia/gm200/acr/bl.bin
firmware:       nvidia/gp107/sec2/sig.bin
firmware:       nvidia/gp107/sec2/image.bin
firmware:       nvidia/gp107/sec2/desc.bin
firmware:       nvidia/gp107/nvdec/scrubber.bin
firmware:       nvidia/gp107/gr/sw_method_init.bin
firmware:       nvidia/gp107/gr/sw_bundle_init.bin
firmware:       nvidia/gp107/gr/sw_nonctx.bin
firmware:       nvidia/gp107/gr/sw_ctx.bin
firmware:       nvidia/gp107/gr/gpccs_sig.bin
firmware:       nvidia/gp107/gr/gpccs_data.bin
firmware:       nvidia/gp107/gr/gpccs_inst.bin
firmware:       nvidia/gp107/gr/gpccs_bl.bin
firmware:       nvidia/gp107/gr/fecs_sig.bin
firmware:       nvidia/gp107/gr/fecs_data.bin
firmware:       nvidia/gp107/gr/fecs_inst.bin
firmware:       nvidia/gp107/gr/fecs_bl.bin
firmware:       nvidia/gp107/acr/ucode_unload.bin
firmware:       nvidia/gp107/acr/ucode_load.bin
firmware:       nvidia/gp107/acr/unload_bl.bin
firmware:       nvidia/gp107/acr/bl.bin
firmware:       nvidia/gp106/sec2/sig.bin
firmware:       nvidia/gp106/sec2/image.bin
firmware:       nvidia/gp106/sec2/desc.bin
firmware:       nvidia/gp106/nvdec/scrubber.bin
firmware:       nvidia/gp106/gr/sw_method_init.bin
firmware:       nvidia/gp106/gr/sw_bundle_init.bin
firmware:       nvidia/gp106/gr/sw_nonctx.bin
firmware:       nvidia/gp106/gr/sw_ctx.bin
firmware:       nvidia/gp106/gr/gpccs_sig.bin
firmware:       nvidia/gp106/gr/gpccs_data.bin
firmware:       nvidia/gp106/gr/gpccs_inst.bin
firmware:       nvidia/gp106/gr/gpccs_bl.bin
firmware:       nvidia/gp106/gr/fecs_sig.bin
firmware:       nvidia/gp106/gr/fecs_data.bin
firmware:       nvidia/gp106/gr/fecs_inst.bin
firmware:       nvidia/gp106/gr/fecs_bl.bin
firmware:       nvidia/gp106/acr/ucode_unload.bin
firmware:       nvidia/gp106/acr/ucode_load.bin
firmware:       nvidia/gp106/acr/unload_bl.bin
firmware:       nvidia/gp106/acr/bl.bin
firmware:       nvidia/gp104/sec2/sig.bin
firmware:       nvidia/gp104/sec2/image.bin
firmware:       nvidia/gp104/sec2/desc.bin
firmware:       nvidia/gp104/nvdec/scrubber.bin
firmware:       nvidia/gp104/gr/sw_method_init.bin
firmware:       nvidia/gp104/gr/sw_bundle_init.bin
firmware:       nvidia/gp104/gr/sw_nonctx.bin
firmware:       nvidia/gp104/gr/sw_ctx.bin
firmware:       nvidia/gp104/gr/gpccs_sig.bin
firmware:       nvidia/gp104/gr/gpccs_data.bin
firmware:       nvidia/gp104/gr/gpccs_inst.bin
firmware:       nvidia/gp104/gr/gpccs_bl.bin
firmware:       nvidia/gp104/gr/fecs_sig.bin
firmware:       nvidia/gp104/gr/fecs_data.bin
firmware:       nvidia/gp104/gr/fecs_inst.bin
firmware:       nvidia/gp104/gr/fecs_bl.bin
firmware:       nvidia/gp104/acr/ucode_unload.bin
firmware:       nvidia/gp104/acr/ucode_load.bin
firmware:       nvidia/gp104/acr/unload_bl.bin
firmware:       nvidia/gp104/acr/bl.bin
firmware:       nvidia/gp102/sec2/sig.bin
firmware:       nvidia/gp102/sec2/image.bin
firmware:       nvidia/gp102/sec2/desc.bin
firmware:       nvidia/gp102/nvdec/scrubber.bin
firmware:       nvidia/gp102/gr/sw_method_init.bin
firmware:       nvidia/gp102/gr/sw_bundle_init.bin
firmware:       nvidia/gp102/gr/sw_nonctx.bin
firmware:       nvidia/gp102/gr/sw_ctx.bin
firmware:       nvidia/gp102/gr/gpccs_sig.bin
firmware:       nvidia/gp102/gr/gpccs_data.bin
firmware:       nvidia/gp102/gr/gpccs_inst.bin
firmware:       nvidia/gp102/gr/gpccs_bl.bin
firmware:       nvidia/gp102/gr/fecs_sig.bin
firmware:       nvidia/gp102/gr/fecs_data.bin
firmware:       nvidia/gp102/gr/fecs_inst.bin
firmware:       nvidia/gp102/gr/fecs_bl.bin
firmware:       nvidia/gp102/acr/ucode_unload.bin
firmware:       nvidia/gp102/acr/ucode_load.bin
firmware:       nvidia/gp102/acr/unload_bl.bin
firmware:       nvidia/gp102/acr/bl.bin
firmware:       nvidia/gv100/sec2/sig.bin
firmware:       nvidia/gv100/sec2/image.bin
firmware:       nvidia/gv100/sec2/desc.bin
firmware:       nvidia/gv100/nvdec/scrubber.bin
firmware:       nvidia/gv100/gr/sw_method_init.bin
firmware:       nvidia/gv100/gr/sw_bundle_init.bin
firmware:       nvidia/gv100/gr/sw_nonctx.bin
firmware:       nvidia/gv100/gr/sw_ctx.bin
firmware:       nvidia/gv100/gr/gpccs_sig.bin
firmware:       nvidia/gv100/gr/gpccs_data.bin
firmware:       nvidia/gv100/gr/gpccs_inst.bin
firmware:       nvidia/gv100/gr/gpccs_bl.bin
firmware:       nvidia/gv100/gr/fecs_sig.bin
firmware:       nvidia/gv100/gr/fecs_data.bin
firmware:       nvidia/gv100/gr/fecs_inst.bin
firmware:       nvidia/gv100/gr/fecs_bl.bin
firmware:       nvidia/gv100/acr/ucode_unload.bin
firmware:       nvidia/gv100/acr/ucode_load.bin
firmware:       nvidia/gv100/acr/unload_bl.bin
firmware:       nvidia/gv100/acr/bl.bin
firmware:       nvidia/gp108/sec2/sig.bin
firmware:       nvidia/gp108/sec2/image.bin
firmware:       nvidia/gp108/sec2/desc.bin
firmware:       nvidia/gp108/nvdec/scrubber.bin
firmware:       nvidia/gp108/gr/sw_method_init.bin
firmware:       nvidia/gp108/gr/sw_bundle_init.bin
firmware:       nvidia/gp108/gr/sw_nonctx.bin
firmware:       nvidia/gp108/gr/sw_ctx.bin
firmware:       nvidia/gp108/gr/gpccs_sig.bin
firmware:       nvidia/gp108/gr/gpccs_data.bin
firmware:       nvidia/gp108/gr/gpccs_inst.bin
firmware:       nvidia/gp108/gr/gpccs_bl.bin
firmware:       nvidia/gp108/gr/fecs_sig.bin
firmware:       nvidia/gp108/gr/fecs_data.bin
firmware:       nvidia/gp108/gr/fecs_inst.bin
firmware:       nvidia/gp108/gr/fecs_bl.bin
firmware:       nvidia/gp108/acr/ucode_unload.bin
firmware:       nvidia/gp108/acr/ucode_load.bin
firmware:       nvidia/gp108/acr/unload_bl.bin
firmware:       nvidia/gp108/acr/bl.bin
license:        GPL and additional rights
description:    nVidia Riva/TNT/GeForce/Quadro/Tesla/Tegra K1+
author:         Nouveau Project
srcversion:     4B262C7BE979A671CA04472
alias:          pci:v000012D2d*sv*sd*bc03sc*i*
alias:          pci:v000010DEd*sv*sd*bc03sc*i*
depends:        drm,drm_kms_helper,ttm,mxm-wmi,wmi,video,i2c-algo-bit
retpoline:      Y
intree:         Y
name:           nouveau
vermagic:       5.2.0-8-generic SMP mod_unload 
sig_id:         PKCS#7
signer:         Build time autogenerated kernel key
sig_key:        30:3F:2C:84:86:2C:9E:8A:2C:77:87:0B:7D:78:6B:32:85:03:0F:C7
sig_hashalgo:   sha512
signature:      10:DE:07:87:76:D7:05:D9:68:48:87:B8:DA:D5:7D:AD:CC:47:FA:3E:
                11:BB:7B:68:FD:4A:02:A3:93:98:D1:C1:06:D0:0C:65:B1:C7:56:16:
                8B:2C:FB:8A:B8:28:93:1F:C7:CA:41:C1:6C:A9:EC:81:44:0D:21:66:
                8D:C9:0F:8C:AB:75:DA:7E:9B:17:71:63:66:DF:52:29:FF:B6:92:35:
                A8:EB:D4:92:4B:E0:4E:B2:12:2F:BB:3C:9A:5B:DE:AA:6D:67:94:06:
                43:44:8D:7D:D5:CC:65:7A:96:36:CA:83:42:6E:C4:CD:DB:2B:4C:D0:
                BD:DF:7B:D9:01:C4:0B:5E:6A:F8:21:E9:D7:10:33:4D:B4:E3:AB:F7:
                CC:85:79:28:7B:C4:F3:1D:B9:E5:53:CE:58:48:2D:3B:CA:0C:1C:83:
                45:94:48:F1:5F:3B:FD:C0:8B:8B:9B:A4:36:45:10:C2:78:F3:FE:3B:
                79:A0:F4:CD:3B:D8:FF:D6:EC:EC:E9:86:FC:F9:C6:AF:FA:68:19:AA:
                89:EC:C8:93:25:DB:FD:9D:F0:62:76:E5:77:98:23:C9:0A:56:7D:B1:
                C4:F9:70:03:30:3D:F7:CB:9A:13:75:7C:96:AD:26:B1:B7:B3:D0:16:
                70:EA:29:9B:85:94:00:E0:FD:06:A1:BF:0B:F5:82:96:CD:99:19:54:
                06:3B:E9:91:BB:15:A3:13:46:15:8B:62:60:8D:EA:E7:4D:B1:20:72:
                E8:99:7A:12:A9:25:97:09:DA:8D:E1:D1:C1:D7:DE:07:4E:2E:9F:F5:
                9C:C3:5A:F3:E0:56:C2:2C:4F:53:48:67:0B:8A:60:37:D0:05:1E:4B:
                6D:F3:05:ED:6B:3F:87:BE:09:E4:66:E5:A0:78:53:04:57:74:54:9E:
                49:12:79:04:AD:04:35:AB:09:04:30:4D:55:5C:6D:A4:1D:8A:B3:73:
                91:1E:A9:B8:AA:F3:1B:48:1F:A0:D4:57:DB:50:D8:FF:82:DC:44:E3:
                55:80:9C:E0:66:AB:F2:64:23:B7:98:C1:A0:42:FA:97:82:B1:1C:39:
                E1:43:D8:1B:7F:7A:85:21:41:C7:D1:84:E1:C7:95:BD:F4:D9:96:9D:
                CF:73:E7:7E:AE:5F:69:6B:1E:3E:9A:E4:B9:37:F9:F1:D0:51:AE:CD:
                5D:7E:FA:3C:C8:81:CB:78:15:7B:B2:88:77:83:55:9D:52:F9:53:1E:
                DF:4D:14:BA:63:33:75:75:98:CB:EC:DC:0A:12:2A:B4:2D:77:0B:90:
                AE:46:76:CA:C0:50:65:91:1C:C4:C8:71:98:B1:A5:EE:57:1F:48:56:
                B7:7A:22:1E:7E:BA:67:05:65:16:09:4E
parm:           vram_pushbuf:Create DMA push buffers in VRAM (int)
parm:           tv_norm:Default TV norm.
                Supported: PAL, PAL-M, PAL-N, PAL-Nc, NTSC-M, NTSC-J,
                        hd480i, hd480p, hd576i, hd576p, hd720p, hd1080i.
                Default: PAL
                *NOTE* Ignored for cards with external TV encoders. (charp)
parm:           nofbaccel:Disable fbcon acceleration (int)
parm:           fbcon_bpp:fbcon bits-per-pixel (default: auto) (int)
parm:           mst:Enable DisplayPort multi-stream (default: enabled) (int)
parm:           tv_disable:Disable TV-out detection (int)
parm:           ignorelid:Ignore ACPI lid status (int)
parm:           duallink:Allow dual-link TMDS (default: enabled) (int)
parm:           hdmimhz:Force a maximum HDMI pixel clock (in MHz) (int)
parm:           config:option string to pass to driver core (charp)
parm:           debug:debug string to pass to driver core (charp)
parm:           noaccel:disable kernel/abi16 acceleration (int)
parm:           modeset:enable driver (default: auto, 0 = disabled, 1 = enabled, 2 = headless) (int)
parm:           atomic:Expose atomic ioctl (default: disabled) (int)
parm:           runpm:disable (0), force enable (1), optimus only default (-1) (int)
Comment 38 John Walicki 2019-09-05 14:48:03 UTC
The nouveau driver on my ThinkPad P50 (running RHEL 7.7 with a 5.2.11-1.el7.elrepo.x86_64 kernel) just hung up with this same error.

Sep  5 09:04:48 jaw-p50rhel7 kernel: nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Sep  5 09:04:48 jaw-p50rhel7 kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Sep  5 09:04:48 jaw-p50rhel7 kernel: nouveau 0000:01:00.0: fifo: channel 2: killed
Sep  5 09:04:48 jaw-p50rhel7 kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Sep  5 09:04:48 jaw-p50rhel7 kernel: nouveau 0000:01:00.0: X[5775]: channel 2 killed!

What is possibly interesting is that in /var/log/Xorg.0.log
there was a mouse event that matches exactly with the timing of the nouveau errors.

[150241.393] AUDIT: Thu Sep  5 09:04:19 2019: 5775: client 43 disconnected
[150241.396] AUDIT: Thu Sep  5 09:04:19 2019: 5775: client 44 disconnected
[150270.473] (II) event8  - Logitech USB Receiver: SYN_DROPPED event - some input events have been lost.

The [bracket] is a timestamp which indicates the time since the system last booted, in seconds. So 150270 is 29 seconds after the 09:04:19 timestamped line. 
09:04:19 + 29 seconds is 09:04:48
The nouveau driver hung at that time (see /var/log/messages timestamp above)
Not certain if that was cause or effect of the video driver hang.

I was able to ssh into my system to reboot.

$ lspci -vv -s 01:00.0
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M1000M] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 2230
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 129
	Region 0: Memory at b2000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at a0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at b0000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at 4000 [size=128]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau
Comment 39 Lucas Ribeiro 2019-09-23 21:07:12 UTC
I've been using this 660Ti (NVE4) card with nouveau and tested several kernels: 4.14, 4.19 and 5.3, all with the same problem. During different usage or games, the system freezes. It is recoverable with SysRq + RE, though. It might be possible to SSH into the system and kill this process manually, but I'm not sure.

This freezes happens with multi-monitor and single-monitor setups. The machine has two videocards.

I also would love to help with traces, if anyone has ideas.
Comment 40 acs82 2019-10-08 07:00:37 UTC
Same bug here. Seems to happen often with firefox, when opening a link, or when usintg alt+tab to switch to it. So I changed to chromium, which seems to trigger it at least not that often.

The bug as well recently happend when I switched to eclipse via alt+tab. Here a log:

schwinn@schwinn-desktop:~$ sudo lspci | grep VGA
06:00.0 VGA compatible controller: NVIDIA Corporation GK208B [GeForce GT 710] (rev a1)

Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080132] nouveau 0000:06:00.0: gr: TRAP ch 4 [003fb96000 Xorg[645]]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080146] nouveau 0000:06:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000
9 [ILLEGAL_INSTR_ENCODING]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080259] nouveau 0000:06:00.0: gr: TRAP ch 2 [003fbec000 Xorg[645]]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080268] nouveau 0000:06:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 7000e [OOR_ADDR]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080277] nouveau 0000:06:00.0: gr: TRAP ch 2 [003fbec000 Xorg[645]]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080284] nouveau 0000:06:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 7000e [OOR_ADDR]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080292] nouveau 0000:06:00.0: gr: TRAP ch 2 [003fbec000 Xorg[645]]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080299] nouveau 0000:06:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10000e [OOR_ADDR]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080309] nouveau 0000:06:00.0: gr: TRAP ch 2 [003fbec000 Xorg[645]]
Oct  7 23:13:23 schwinn-desktop kernel: [ 2726.080316] nouveau 0000:06:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 26000e [OOR_ADDR]
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413036] nouveau 0000:06:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413057] nouveau 0000:06:00.0: fifo: runlist 0: scheduled for recovery
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413077] nouveau 0000:06:00.0: fifo: channel 2: killed
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413086] nouveau 0000:06:00.0: fifo: engine 6: scheduled for recovery
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413091] nouveau 0000:06:00.0: fifo: engine 0: scheduled for recovery
Oct  7 23:13:28 schwinn-desktop kernel: [ 2730.413160] nouveau 0000:06:00.0: Xorg[645]: channel 2 killed!
<reboot>
Oct  7 23:14:37 schwinn-desktop kernel: [    0.000000] Linux version 5.2.0-2-amd64 (debian-kernel@lists.debian.org) (gcc version 8.3.0 (Debian 8.3.0-21)) #1 SMP Debian 5.2.9-2 (2019-08-21)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.